# Energieeffizienz [-]
## Energieverwaltung
- Frequenzskalierung der CPU
- Spannungs- und Frequenzanpassung
- [Stromsparmodi](#stromsparmodi-und-profile)
- Bildschirmhelligkeit und -abschaltung
- [Energieeffizientes Scheduling](#energieeffizientes-scheduling)
- [I/O Effizienz](#i-o-effizienz)
- Wärme- und Lüftermanagement
- [Netzwerkmanagement](#netzwerkmanagement)
- Energieprofile und -richtlinien
- Advanced Configuration and Power Interface (ACPI)

## Prozessor- und Gerätesteuerung
- Strategien und Mechanismen, um _Leistung und Energieeffizienz_ 
  - von CPUs und anderen Hardwarekomponenten zu optimieren
- Moderne Betriebssysteme
  - integrierte Mechanismen zur Steuerung von Hardwarekomponenten

## Energieeffizientes Scheduling
- CPU-Energieeffizienz maximieren durch Verteilung von Prozessen auf CPU-Kernen
  - Kernzusammenlegung
  - Dynamisches Kernabschalten
  - Aufgabenplanung basierend auf Prozessoreigenschaften
  - Scheduling basierend auf Workload Charakteristiken
  - Adaptive Scheduling-Richtlinien
  - Anpassung an Hardware-Topologie

## I/O-Effizienz
- Optimierung von Ein- und Ausgabeoperationen 
  - Effiziente Nutzung von Ressourcen und Reduzierung des Energieverbrauchs
  - Batching von I/O-Operationen
  - Asynchrone I/O
  - Pufferung von Daten
  - Intelligente Catching-Strategien
  - Effizientes Dateisystem-Layout
  - Adaptive Datenkompression

## Leistungsüberwachung und -profiling
- Bewertung und Analyse der Leistung eines Computers
  - Engpässe identifizieren
  - Ressourcennutzung optimieren
  - Effizienz steigern
- Im Wesentlichen Werkzeuge für SysAdmins, Entwickler, Ingenieure
  - Leistung von Computern und Anwendungen verstehen
  - Bottlenecks beheben

## Netzwerkmanagement
- Planung, Implementierung, Überwachung, Optimierung von Netzwerkinfrastrukturen
  - zusätzlich: Lastenausgleich, Netzwerkprotokolle & -standards

## Optimierung von Hintergrundprozessen
- Gewährleistung von Gesamtleistung, Stabilität, Effizienz
  - Priorisierung
  - Ressourcenzuweisung
  - Zeitgesteuerte Ausführung
  - Intelligente Aktivierung
  - Parallelisierung
  - Caching

## Stromsparmodi und -profile
- Funktionen müssen entsprechend der Anforderungen und Nutzungsmuster angepasst werden.
