# Plattenspeicherverwaltung [-]
## Mögliche Strategien
**Speicherung von einer Datei mit n Byte**
- n aufeinanderfolgende Byte auf der Platte reservieren
  - Problem
    - Datei muss möglicherweise auf Platte verschoben werden, wenn sich Größe ändert
- **Datei wird in eine bestimmte Anzahl von (nicht unbedingt) zusammenhängenden Blöcken aufgeteilt**
  - Verschiebung relativ schnell

### Wie groß die Blöcke?
- Sektoren, Spuren und Zylinder Kandidaten
  - geräteabhängig
- große Blockgröße → Platzverschwendung
  - kleine Datei braucht trotzdem viel Platz
- kleine Blockgröße → Zeitverschwendung
  - mehr Plattenzugriffe, rotationsbedingte Wartezeiten
    - Reduzierung Performanz

### Überblick über Anzahl freier Blöcke?
#### Verkettete Liste von Plattenblöcken
![image_360.png](image_360.png)
#### Bitmap
![image_361.png](image_361.png)

- Was macht man jetzt?
  - man benötigt Daten über Verwendung, um besten Algorithmus zu finden
  - Falls viele freie Blöcke aufeinanderfolgen
    - In der Liste statt Blöcken Folgen von Blöcken
      - Jeder Block bekommt 8/16/32 Bit Zähler über nachfolgende freie Blöcke
      - leere Platte definiert durch 2 Zahlen
        - Adresse erster freier Block
        - Anzahl der folgenden freien Blöcke
        - Immer ein Block von Zeigern im Speicher
        - Beim Löschen einer Datei
          - Blöcke werden freigegeben
      - ![image_362.png](image_362.png)
- Um Anwender davon abzuhalten, zu viel Speicher in Beschlag zu nehmen
  - disk quota
    - SysAdmin weist jedem Benutzer einen max. Anteil an Dateien und Blöcken zu
    - BS behält Kontrolle
    - ![image_363.png](image_363.png)
      - Wenn sich Benutzer anmeldet
        - Soft-Limit übertreten?
          - Warnung
          - Sobald Warnung einmal zu oft ignoriert
            - Sperre, SysAdmin muss entsperren

## Sicherung von Dateisystemen
- Wiederherstellung meist sehr schwierig, zeitintensiv / unmöglich
- Sicherheitskopie braucht lange, viel Platz
  - Alles oder nur einen Teil sichern?
  - Nochmal sichern, wenn sich seit letztem Mal nix geändert hat?
  - Daten komprimieren?

### Ansätze
#### Physische Sicherung (physical dump)
- Beginnt mit Block 0 der Festplatte
- Alle Blöcke der Reihe nach auf das Medium
- Programm sehr einfach

### Logische Sicherung (logical dump)
- Beginnt mit einem oder mehreren Verzeichnissen
  - vorher festgelegt
- sichert rekursiv alle dort vorhandenen Daten
  - die sich seit gewissem Bezugsdatum geändert haben