# Historie

```mermaid
stateDiagram
    [*]--> ersteAutomaten
    ersteAutomaten: 60 n Chr.
    note right of ersteAutomaten
        Alexandriner Heron entwickelte
        viele Automaten z.B.
        automatische Türen mit Hebeln
        _
    end note
    
    ersteAutomaten --> zeitDerUhrmacher
    zeitDerUhrmacher: 1348-1364
    note left of zeitDerUhrmacher
        Giovanni de Dondi baute 1348-1364 die
        erste Astronomische Uhr
        _
    end note
    note left of zeitDerUhrmacher
        Eingabe: Takt
        Ausgabe: Zeiger
        Zahnräder: innerer Zustand
        _
    end note
    
    zeitDerUhrmacher --> astronomischeUhr
    astronomischeUhr: 1354
    note left of astronomischeUhr
        Astronomische Uhr
        _
    end note
    
    astronomischeUhr --> lochkartenWebstuhl
    lochkartenWebstuhl: 1725-1728
    note right of lochkartenWebstuhl
        Basile Bouchon 1725 und Jean
        Babtiste Falcon 1728 erfanden
        eine Apparatur die über
        Lochkarten gesteuert wurde
        _
    end note
    
    lochkartenWebstuhl --> jaquesDesVaucanson
    jaquesDesVaucanson: 1745
    note left of jaquesDesVaucanson
        Der mechanische Webstuhl wurde
        durch Jacques de Vaucanson, einem
        Erfinder um 1745 weiterentwickelt,
        konnte sich aber immer noch nicht
        durchsetzen
        _
    end note
    note left of jaquesDesVaucanson
        Vaucanson entwickelte auch andere
        Automaten, so die berühmte Ente
        _
    end note
    
    jaquesDesVaucanson --> jaquard
    jaquard: Der Jaquard Webstuhl
    note right of jaquard
        erste frei programmierbare
        Maschine, die in großer Menge
        gefertigt wurde
        _
    end note
        note right of jaquard
        Der Lochkartenstreifen ist der
        erste Datenträger, der
        austauschbare Programme trägt
        _
    end note
    
    jaquard --> lochkartenSteuerungMusik
    lochkartenSteuerungMusik: Ende 17. Jhd
    note left of lochkartenSteuerungMusik
        Drehorgeln, Orchestrion 
        (stellt ganzen Orchester dar) 
        Konnte noch nicht speichern
        _   
    end note
    
    lochkartenSteuerungMusik --> ersteRechenmaschine
    
    
    
```


## Z3
- von Konrad Zuse
- auf Basis von Telefonrelais
- Elemente
  - ![image_451.png](image_451.png)
- |                                | Ausführung                                                                                                           |
  |--------------------------------|----------------------------------------------------------------------------------------------------------------------|
  | Technik                        | 600 Relais Rechenwerk<br/>1600 Relais Speicherwerk                                                                   |
  | Taktfrequenz                   | 5-10 Hertz                                                                                                           |
  | Rechenwerk                     | Gleitkommarechenwerk<br/>16 Takte Multiplikation<br/>3 Takte Addition<br/>18 Takte Division                          |
  | Mittlere Rechengeschwindigkeit | Multiplikation 3 Sekunden<br/>Division 3 Sekunden<br/>Addition 0,7 Sekunden                                          |
  | Eingabe                        | Dezimaltastatur mit 20 Nachkommastellen<br/>Umwandlung nach Binärcode                                                |
  | Ausgabe                        | Mit Lampen<br/>4 Dezimalstellen mit Kommaanzeige<br/>Wortlänge 22 Bit<br/>Gleitkomma: Mantisse, Exponent, Vorzeichen |
  | Anzahl Relais                  | 2000                                                                                                                 |
  | Anzahl Schrittschalter         | 10 für Mikroprogrammsteuerung                                                                                        |
  | Speicheraufbau                 | 1400 Relais, 64 Worte à 22 Bit                                                                                       |
  | Leistungsaufnahme              | ca. 4000 Watt                                                                                                        |
  | Gewicht                        | ca. 1 Tonne                                                                                                          |
  | Einsatzgebiet                  | FHügelberechnungen                                                                                                   |


## ENIAC
- 17x10 Meter
- 30 Tonnen
- 174 Kilowatt Verbrauch
- Bestandteile
  - 17000 Vakuum-Röhren zur Datenverarbeitung
  - 7200 Dioden
  - 70000 Widerstände
  - 10000 Kondensatoren
  - 6000 Schalter
  - 1500 Relais
- **Keine Trennung zwischen Programm und Maschine**
  - Für Programmänderung neu verkabeln
- Geschwindigkeit
  - Addition/Subtraktion: 0,2 ms
  - Multiplikation: 2,8 ms
  - Division: 24 ms
  - Quadratwurzel: 300 ms


## EDVAC
- binäres Zahlenformat
- Befehle werden im internen Speicher verarbeitet
- setzte [von-Neumann-Architektur](Prozessorkonzepte.md#von-neumann-rechner-speicherprogrammierter-rechner) um


## EDSAC
- erster elektronischer Computer mit von-Neumann-Architektur
  - Programme werden im Speicher abgelegt und verarbeitet