# Prozessorkonzepte

## Was sollte ein Rechner können
- Rechnen
  - **`+` `-` `*` `/`**
- **Datenbewegung** (kopieren)
- **Strukturierte Lösung eines Problems**
  - Abfolge von Rechenoperationen
  - Verwendung von Daten, indirekte Adressierung, Pointer
  - Schleifen, Sprünge
  - Unterprogramme (Strukturen)
- **Spezielle Befehle** (z.B. Interrupts zur Anbindung von Peripherie)
- **Performance**
  - Optimierung der Datenzugriffe (schneller)
  - mehr Daten
  - spezielle Algorithmen z.B. Graphik, Audio-Codecs, ...
- **Energieeffizienz**

## Von-Neumann-Rechner (Speicherprogrammierter Rechner)
Veröffentlicht 1945
![image_20.png](image_20.png)
- _Arithmetic Logic Unit_ - Rechenwerk
- _Control Unit_ - Steuerwerk
- _Memory_ - Speicherwerk
- _Input/Output_ - Ein-/Ausgabewerk

## MU0 - MU7
### [MU0 - Rechner: Basiskonzept](MU0Rechner.md)
### [MU1 - Rechner: kompletter Rechner](MU1Rechner.md)
### [MU2/3 - Rechner](MU2-3Rechner.md)
### [MU4/5 - Rechner: Adressberechnung, Register-Architektur, Load-Store](MU4-5Rechner.md)
### [MU6 - Rechner: Harvard-Design](MU6Rechner.md)
### [MU7 - Rechner: Pipelining](MU7Rechner.md)
