# Einführung in DB
## Phasen des Datenbankentwurfs
```mermaid
stateDiagram
    1: Anforderungsanalyse
    2: Konzeptioneller Entwurf
    3: Logischer Entwurf
    4: Physischer Entwurf
    1-->2
    2-->3
    3-->4
    note right of 1: Datenbedarf (nicht formalisiert) - Planung
    note left of 2: Konzeptuelles Modell (Informationsstruktur) - Analyse
    note left of 3: Logisches Modell (logische Datenbankstruktur) - Design
    note left of 4: Internes / Physisches Schema (interne (physische) Datenbankstruktur) - Implementierung
```

## Begriffsklärungen
### Datenbank (DB)
> Daten stellen in ihrer physischen Speicherform die eigentliche Datenbank dar

### Datenbank-Managementsystem (DBMS)
> (proprietäre) Software eines DBS, die die Schnittstelle zwischen DB und Anwender schafft
> 
> Das DBMS besteht aus einer Vielzahl komplexer Dienste, die zur Verwaltung der Daten zur Verfügung
> stehen und die Konsistenz der Daten gewährleisten.

### Datenbanksystem (DBS)
> Gesamtheit aller Komponenten (DB, DBS, Anwendungen, ...)

### Datenbankmodell
> definiert Speicherstruktur, die DBMS zur internen Datenverwaltung verwendet

### Datenbanksprache
> idR. stellt ein DBMS eine spezifische Sprache (Data Sub-Language - DSL) zur Verfügung, die Zugriff auf Daten ohne Wissen von interner Strukur ermöglicht
> 
> Mit Hilfe der DSL kann man Informationen/Daten verwalten (Insert, Update, Delete) und auf Anfrage (Query) verfügbar machen (Retrieval)

### Hardware
> Man unterscheidet Plattenspeicher (mit Ein-/Ausgabeperipherie) und Hauptspeicher sowie Prozessoren zur Ausführung der DB-Systemsoftware

