
# Zusammenfassung Grundlagen

> Lernziele:
> 
> Diablo hat ne rot-grün-Schwäche
> 
> ne wunderschöne junge Frau dürfte Herr Nazemi jederzeit interviewen
> 
> Staubsauger

## 1. Einführung in HCI und den menschenzentrierten Gestaltungsprozess

- **HCI-Grundlagen**  
  Das Fach HCI beschäftigt sich mit der Gestaltung, Implementierung und Evaluierung von Benutzeroberflächen, wobei der Mensch und seine Interaktionen im Mittelpunkt stehen. Es wird betont, dass die Entwicklung von Systemen – von der Konzeption bis zur Evaluation – iterativ ist. Wichtige Normen wie ISO 9241-210 (ersetzt ISO 13407) bilden dabei den Rahmen, um sicherzustellen, dass Produkte die Nutzungsanforderungen erfüllen und aus der Perspektive der Benutzer gestaltet werden.

- **Prozessphasen**  
  Der Gestaltungsprozess umfasst:
    - **Planung** des Designprozesses (Definition von Zielen, Anforderungen und Hypothesen)
    - **Verständnis der Benutzer und ihres Nutzungskontextes** (Analyse und Dokumentation von Benutzergruppen)
    - **Implementierung von Gestaltungslösungen** (Prototyping, Design und technische Umsetzung)
    - **Evaluation** der Lösungen aus der Benutzerperspektive, wobei bei Bedarf der Prozess iterativ wiederholt wird, um Optimierungspotenziale zu identifizieren.

---

## 2. Methoden der Benutzeranalyse

- **Zielsetzung der Benutzeranalyse**  
  Hier geht es darum, die Charakteristika der Zielgruppen systematisch zu identifizieren. Wichtige Aspekte sind:
    - Kenntnisse, Fertigkeiten und bisherige Erfahrungen
    - Ausbildung, Übungsgrad und Nutzungshäufigkeit
    - Physische, motorische und sensorische Fähigkeiten
    - Vorlieben, Gewohnheiten und Kontextinformationen (z. B. Arbeitsumfeld und Anwendungsdomäne)

- **Segmentierung der Benutzer**  
  Oft haben Systeme mehr als eine Benutzergruppe. Daher ist es wichtig, verschiedene Rollen (z. B. Dozenten, Studierende) und deren spezifische Bedürfnisse sowie Nutzungskontexte zu analysieren und in der Entwicklung zu berücksichtigen.

- **Erstellung von Personas**  
  Personas sind fiktive Repräsentanten der Zielgruppen, die deren Eigenschaften, Bedürfnisse, Verhaltensweisen und Ziele detailliert abbilden. Sie helfen, die Perspektiven der realen Nutzer besser zu verstehen und bei der Gestaltung einzubeziehen.

---

## 3. Methoden des User Research

Der Kern der Benutzerforschung besteht in der systematischen Erhebung, Organisation und Analyse von Daten, die über die Benutzer und ihren Nutzungskontext Auskunft geben. Folgende Methoden werden eingesetzt:

### A. Beobachtung

- **Ziel und Nutzen**  
  Durch Beobachtungen soll das reale Nutzerverhalten erfasst werden, um Einsichten in Nutzungsmuster, Interaktionsprobleme, emotionale Reaktionen und unvorhergesehene Verhaltensweisen zu gewinnen.

- **Beobachtungsformen**
    - **Verdeckte Beobachtung:** Der Nutzer weiß nicht, dass er beobachtet wird. Dadurch können natürlichere Verhaltensweisen erfasst werden.
    - **Offene Beobachtung:** Der Nutzer wird informiert, es besteht jedoch kein direkter Kontakt.
    - **Begleitende Beobachtung:** Der Beobachter begleitet den Benutzer und kann unmittelbar Nachfragen stellen oder bestimmte Verhaltensweisen eruieren.

- **Strukturierte versus unstrukturierte Beobachtung**
    - **Strukturiert:** Vorgegebene Kriterien, Checklisten und Bewertungsbögen gewährleisten Vergleichbarkeit und erleichtern die statistische Auswertung.
    - **Unstrukturiert:** Eine offene und flexible Herangehensweise, die besonders unerwartete Aspekte und tiefere qualitative Einsichten zutage fördert.

- **Beobachtungsumgebungen**
    - **Kontrollierte Beobachtung:** Durchführung in Laboren oder anderen standardisierten Settings.
    - **Natürliche Beobachtung:** Erfassung im tatsächlichen Nutzungskontext (z. B. zuhause, am Arbeitsplatz), was realistischere Daten liefert, jedoch weniger kontrolliert ist.

- **Dokumentation und Auswertung**  
  Beobachtungen werden häufig mittels Protokollen, Fotos/Videos, Zeitachsen und statistischen Auswertungen festgehalten, um Muster und Verbesserungspotenziale zu erkennen.

---

### B. Fragebögen (Surveys)

- **Formate und Typen von Fragen**  
  Fragebögen können sowohl **offene als auch geschlossene Fragen** enthalten:
    - **Offene Fragen:** Ermöglichen detaillierte, freie Antworten und eignen sich gut zur Erfassung von Meinungen und subjektiven Einschätzungen (z. B. zur Wahrnehmung der Bedienbarkeit eines Systems).
    - **Geschlossene Fragen:** Bieten vorgegebene Antwortmöglichkeiten, was die quantitative Auswertung vereinfacht. Unterteilt werden sie in:
        - **Binäre Fragen:** z. B. Ja/Nein-Fragen.
        - **Kategorielle Fragen:** Auswahl zwischen mehreren vorgegebenen Kategorien.
        - **Skalenfragen:** Fragen, die mittels Skalen (z. B. Likert-Skalen) beurteilt werden können, um differenzierte Einschätzungen (z. B. Usability oder Bedienbarkeit) zu messen.

- **Vorgehen bei der Erstellung**  
  Wesentlich ist die Definition der Forschungsfrage, die Festlegung der Zielgruppe, die Entscheidung über Fragetypen sowie ein Pilotversuch, um den Fragebogen vor der eigentlichen Anwendung zu validieren.

- **Einsatz in der Praxis**  
  In vielen Fällen werden existierende, validierte Fragebögen genutzt, um methodische Fehler zu vermeiden und vergleichbare Ergebnisse zu erzielen.

---

### C. Interviews

- **Ziel und Nutzen**  
  Interviews erlauben ein vertieftes Verständnis der Sichtweisen und Bedürfnisse der Nutzer. Sie helfen dabei, sowohl detaillierte Informationen als auch neue Erkenntnisse zu gewinnen.

- **Formen des Interviews**
    - **Standardisierte Interviews:** Feste Fragen und Antwortmöglichkeiten, die vorab festgelegt sind.
    - **Teilstandardisierte (semi-strukturierte) Interviews:** Nutzung eines Gesprächsleitfadens, der thematische Schwerpunkte und Leitfragen enthält, aber gleichzeitig Raum für spontane Rückfragen und vertiefende Diskussionen lässt.

- **Wichtige Aspekte beim Durchführen von Interviews**
    - **Problemdefinition:** Die Formulierung einer klaren Forschungsfrage dient als Rahmen, um die relevanten Themen und Probleme in den Mittelpunkt zu stellen.
    - **Hypothesenbildung:** Basierend auf bestehenden Erkenntnissen oder theoretischen Annahmen werden Hypothesen formuliert, die während des Interviews überprüft werden sollen.
    - **Leitfragen:** Diese sollten verständlich, präzise und frei von Suggestivfragen sein, um eine unvoreingenommene und offene Erhebung der Antworten zu gewährleisten.
    - **Interviewtechnik:** Der Interviewer muss darauf achten, nicht zu bewerten oder Einfluss zu nehmen, um die Meinungen der Befragten nicht zu verfälschen.

---

### D. Walkthroughs

- **Zweck und Vorgehensweise**  
  Bei Walkthroughs wird ein realitätsnahes Szenario erstellt, in dem Benutzer Schritt für Schritt eine Aufgabe durchführen. Dabei werden:
    - Die Handlungsschritte und Interaktionsprozesse des Nutzers nachvollzogen.
    - Etwaige Probleme, Usability-Hürden und Verbesserungspotenziale identifiziert.
    - Spezifisch wird zwischen *Cognitive Walkthroughs* (Analyse der Denkprozesse der Nutzer) und *Usability Walkthroughs* (Überprüfung der tatsächlichen Nutzung) unterschieden.

- **Szenarioerstellung**  
  Es müssen Aufgaben definiert und sachliche Fragestellungen (Wer, Was, Wo, Wann) beantwortet werden, um realistische und nachvollziehbare Szenarien zu entwerfen.

---

### E. Strukturieren (Task Analysis)

- **Aufgaben- und Teilaufgabenidentifikation**  
  Mithilfe von Techniken wie der Erstellung von Aufgabentabellen werden wesentliche Nutzungsanforderungen und Abläufe (z. B. bei einem Online-Kaufprozess) in einzelne Schritte zerlegt. Dies erleichtert die Identifikation von Problemen in der Nutzerführung und die spätere Integration von Nutzerfeedback in den Designprozess.

---

### F. Automatische Messmethoden

- **Digitales Tracking**  
  Neben den traditionellen Methoden werden auch automatische Messmethoden eingesetzt. Diese umfassen:
    - Logfile-Analysen
    - Erstellung von Benutzermodellen
    - Verhaltens- und Transition-Analysen
      Der Einsatz solcher Methoden ermöglicht eine objektive Erfassung und quantifizierte Auswertung der Nutzerinteraktionen.

---

### G. Focus Groups

- **Definition und Durchführung**  
  Focus Groups sind moderierte Gruppendiskussionen, in denen zwischen 6 und 12 Teilnehmer über bestimmte Themen oder Prototypen diskutieren.
    - **Moderation:** Ein Moderator führt die Diskussion, stellt Impulse und sorgt für den strukturierten Ablauf.
    - **Zielsetzung:** Es sollen Hypothesen zu Motiven, Einstellungen und Wünschen der Nutzer entwickelt werden, die in weiteren Designprozessen berücksichtigt werden können.
    - **Dokumentation:** Die Diskussion wird aufgezeichnet und später transkribiert, um eine systematische Auswertung zu ermöglichen.

---

## 4. Zusammenfassung der Schlüsselthemen

Die im Paper behandelten Themen lassen sich wie folgt zusammenfassen:

- **Menschenzentrierter Gestaltungsprozess:** Planung, Analyse des Nutzungskontexts, Implementierung und Evaluation als iterative Phasen, basierend auf internationalen Normen (ISO 9241-210).

- **Benutzeranalyse:** Detailliertes Verständnis der Zielgruppen durch Erhebung von Daten zu physischen, kognitiven und verhaltensorientierten Merkmalen. Die Erstellung von Personas hilft, einen konkreten Nutzerfokus zu etablieren.

- **Erhebungstechniken:**
    - **Beobachtung** liefert authentische Nutzerdaten, wobei unterschiedliche Ansätze (verdeckt, offen, begleitet) und Rahmenbedingungen (kontrolliert vs. natürlich) unterschieden werden.
    - **Fragebögen** (offen, geschlossen, binär, skalenbasiert) ermöglichen strukturierte und vergleichbare Datenerhebung, während vorgefertigte, valide Instrumente häufig bevorzugt werden.
    - **Interviews** (teilstandardisiert) bieten tiefere Einblicke in Nutzerbedürfnisse, wobei die sorgfältige Formulierung von Problemdefinition, Hypothesen und Leitfragen essentiell ist.
    - **Walkthroughs** als Methode, um reale Nutzungsszenarien abzubilden und Usability-Probleme aufzudecken.
    - **Strukturieren und Task Analysis** zur Zerlegung von komplexen Abläufen in verständliche Teilaufgaben.
    - **Automatische Messmethoden** ergänzen die Datenerhebung durch systematische und objektive Analysen von Benutzerinteraktionen.
    - **Focus Groups** bieten einen kollektiven Einblick in Nutzermeinungen und fördern die Entwicklung neuer Ideen und Hypothesen.

Die Zusammenführung dieser Methoden unterstützt den iterativen Prozess der Software- und Systemgestaltung, in dem kontinuierlich Nutzerfeedback in den Entwicklungsprozess eingebunden und Verbesserungspotentiale identifiziert werden.

---

## Fazit

Die umfassende Analyse und Anwendung der beschriebenen Methoden des User Research sind grundlegend für die Entwicklung von HCI-Systemen, die den tatsächlichen Bedürfnissen der Benutzer gerecht werden. Eine systematische Benutzeranalyse kombiniert mit Beobachtungen, gezielten Fragebögen, Interviews, Walkthroughs, automatischen Messmethoden und Focus Groups stellt sicher, dass sowohl qualitative als auch quantitative Aspekte der Benutzerinteraktionen berücksichtigt werden. Diese Methoden unterstützen den menschenzentrierten Designprozess und ermöglichen es, Gestaltungslösungen zu entwickeln, die sowohl funktional als auch benutzerfreundlich sind.

Diese Zusammenfassung deckt die wesentlichen Inhalte der Klausurthemen ab und bietet Dir einen strukturierten Überblick über die verschiedenen Methoden und Prozesse im Bereich Human-Computer Interaction und User Research.