# Student Use Cases for AI (E., L. Mollick)

## **Prologue - Student Guidelines**
**Titel:** *Student Use Cases for AI*  
**Zentrale Inhalte:**

 - Ziel: Einführung in eine verantwortungsvolle Nutzung von KI im Studium.
 - Betonung von akademischer Integrität und ethischem Verhalten im Umgang mit KI.
 - Wichtige Prinzipien:
     - **Transparenz**: Studierende sollten offenlegen, wann und wie sie KI verwendet haben.
     - **Verantwortung**: Die Nutzung von KI entbindet nicht von der Eigenleistung - Studierende bleiben für ihre Arbeit verantwortlich.
     - **Kritisches Denken**: Ergebnisse von KI sollten überprüft und nicht blind übernommen werden.
     - **Lernen im Fokus**: KI soll das Lernen unterstützen, nicht ersetzen.
 - Empfehlung: Lehrende und Studierende sollten gemeinsam Standards für KI -Nutzung entwickeln.

 ---

## **Part 1 - AI as Feedback Generator**
**Titel:** *AI as Feedback Generator*  
**Zentrale Inhalte:**

 - Einsatzgebiet: Nutzung von KI zur Verbesserung von Texten und Aufgaben vor der Abgabe.
 - Mögliche Funktionen:
     - Vorschläge zu Schreibstil, Struktur und Klarheit.
     - Hinweise auf fehlende Argumente oder logische Brüche.
     - Grammatik - und Rechtschreibkorrekturen.
 - Vorteile:
     - Schnelles, erstes Feedback ohne Wartezeiten.
     - Fördert Selbstreflexion und iterative Verbesserung.
 - Grenzen:
     - Feedback kann oberflächlich sein oder kontextuelle Fehler übersehen.
     - Menschliches Feedback (von Lehrkräften, Peers) bleibt essenziell.
 - Empfehlung: Kombination von KI-Feedback und menschlicher Rückmeldung.

 ---

## **Part 2 - AI as Personal Tutor**
**Titel:** *AI as Personal Tutor*  
**Zentrale Inhalte:**

 - KI als individueller Lernbegleiter, der auf Fragen antwortet und Lerninhalte erklärt.
 - Einsatzmöglichkeiten:
     - Erklärungen zu komplexen Themen.
     - Generierung von Beispielen, Analogien und Quizfragen.
     - Wiederholung und Vertiefung von Inhalten im eigenen Tempo.
 - Vorteile:
     - Personalisierter Zugang zum Wissen.
     - Unterstützung beim selbstgesteuerten Lernen.
 - Herausforderungen:
     - Antworten sind nicht immer korrekt oder vollständig.
     - Studierende müssen lernen, die richtigen Fragen zu stellen.
 - Empfehlung: KI als Ergänzung zum Unterricht, nicht als Ersatz.

 ---

## **Part 3 - AI as Team Coach**
**Titel:** *AI as Team Coach*  
**Zentrale Inhalte:**

 - KI als Unterstützung bei Gruppenarbeiten und Teamprozessen.
 - Funktionen:
     - Rollendefinition und Aufgabenverteilung im Team.
     - Unterstützung bei der Zieldefinition und Projektplanung.
     - Moderation von Reflexionen und Konfliktlösungen.
 - Vorteile:
     - Strukturiertes Vorgehen in Gruppenprojekten.
     - Förderung von Kommunikation und Kooperation.
 - Grenzen:
     - KI versteht keine sozialen Nuancen oder Emotionen.
     - Teams müssen KI -Empfehlungen kritisch einordnen.
 - Empfehlung: KI als Werkzeug zur Prozessbegleitung - Entscheidungskompetenz bleibt bei den Teammitgliedern.

 ---

## **Part 4 - AI as Learner**
**Titel:** *AI as Learner*  
**Zentrale Inhalte:**

 - Perspektivwechsel: KI wird selbst zum Lernenden, mit dem Studierende interagieren.
 - Methode:
     - Studierende erklären der KI Konzepte oder Inhalte.
     - KI stellt Rückfragen oder versucht, das Erklärte anzuwenden.
     - Studierende reflektieren dabei ihr eigenes Verständnis.
 - Vorteile:
     - Förderung von metakognitivem Denken.
     - Bessere Verankerung des Gelernten durch "Teaching as Learning".
 - Praxisbeispiele:
     - KI als Prüfungssimulator: Studierende lassen sich von der KI abfragen.
     - Rollentausch: Studierende bewerten KI -Antworten und verbessern sie.
 - Empfehlung: Aktiver, kreativer Einsatz von KI zur Festigung des eigenen Wissens.

