# Einführung in PM
## Lernziele
- [Motivation für PM](#motivation-f-r-projektmanagement)
- Begriffe [`Projekt`](#projekt) und [`Projektmanagement`](#projektmanagement) kennen und erklären
- [Einbettung von Projekten in die übergeordnete Unternehmensstrategie](#projekte-in-der-bergeordneten-unternehmensstrategie) kennen und erklären
- zentrale [Prozessgruppen](#prozessgruppen) und [Aufgabenbereiche](#prozessverl-ufe) des PM (gemäß ISO 21500:2012) kennen und erklären
- Grundlegene [Projektorganisationsformen](#projektorganisationsformen), Rollen und Aufgaben kennen und erklären
- [Erfolgsfaktoren](#erfolgsfaktoren) für PM kennen und erklären
- Eigene Projekterfahrungen (interaktiv) reflektieren können

## Motivation für Projektmanagement
> Erfolgreiches Projektmanagement → Strategischer Wettbewerbsvorteil

## Grundbegriffe
### Projekt
#### Definition nach DIN69901, 2009
> Projekt ist ein Vorhaben, das im Wesentlichen durch die Einmaligkeit der Bedingungen in ihrer Gesamtheit gekennzeichnet ist

- bspw.:
  - Zielvorgabe
  - Zeitliche, finanzielle, personelle oder andere Begrenzungen
  - Abgrenzungen gegenüber anderen Vorhaben
  - projektspezifische Organisation

#### Definition nach PMI (im PMBOK)
> A project is a temporary endeavor undertaken to create a unique product or service
- Durchgeführt von Personen
- abgegrenzt durch limitierte Ressourcen
- geplant, durchgeführt und kontrolliert

#### Projekte zeichnen sich durch folgende Merkmale aus
##### Neuartigkeit
- einmalige Vorhaben
- know-how, Pläne, Erfahrungen nur bedingt vorhanden
- schwer einschätzbare Risiken

##### Umfang
- ganzheitliche Aufgaben
- komplex
- viele Faktoren/Abhängigkeiten

##### zeitliche Begrenzung
- definierten Anfang/Ende
- erfordert andere personelle/organisatorische Regelungen als Linienaufgaben

##### interdisziplinäre Teamarbeit
- wegen Komplexität in Gruppen
- einheitliche Arbeitsmethodik / Vorgehensweise

##### Konkurrenz um Ressourcen
- personelle / finanzielle / materielle Mittel müssen miteinbezogen werden
- Mittel sind begrenzt


#### Abgrenzung von Projekten
![image_618.png](image_618.png)

#### Projektlebenszyklus
![image_627.png](image_627.png)

### Projektmanagement
**DIN 69901, 2009**
> Gesamtheit von Führungsaufgaben, -organisation, -techniken und -mitteln für die Abwicklung eines Projekts

**DIN/ISO 21500, 2016**
> Anwendung von Methoden, Hilfsmitteln, Techniken und Kompetenzen in einem Projekt
> Wird durch Prozesse umgesetzt.
> Prozesse sollten aus systemischer Sicht aufeinander abgestimmt sein.

**PMI (im PMBOK)**
> Application of knowledge, skills, tools and techniques to project activities in order to meet or
> exceed stakeholder needs and expectations from a project.


#### Unterschied PM zu normalem Management
![image_619.png](image_619.png)

#### Projektziele
> Gesamtheit von Einzelzielen, die durch das Projekt erreicht werden sollen, bezogen auf Projektgegenstand
> (Ergebnis) und Projektablauf (Abwicklung)
> ![image_621.png](image_621.png)

#### Magisches Dreieck des PM
![image_620.png](image_620.png)
- zu Beginn Größen möglichst exakt bestimmen
- Veränderung der Größe hat Auswirkungen auf die anderen 2

#### Technik - Organisieren - Personen
![image_622.png](image_622.png)


#### Erfolgsfaktoren
- Erfolgsquote ist in kleineren Projekten größer
- ![image_623.png](image_623.png)
- Weitere:
  - Qualifikation der Mitarbeiter
  - Klare Anforderungen / Zielsetzung
- inkl. Gewichtung:
  - ![image_624.png](image_624.png)

##### Messung von Projekterfolg
- Termintreue
- Budgeteinhaltung
- Umfang/Qualität

- Kunden-/Nutzerzufriedenheit
- Business-Value erreicht
- Beitrag zu strategischen Unternehmenszielen


## Projekte in der übergeordneten Unternehmensstrategie
![image_641.png](image_641.png)


## Portfoliomanagement
![image_625.png](image_625.png)

![image_626.png](image_626.png)





## Prozessgruppen
![image_635.png](image_635.png)

### Projektmanagementprozesse
![image_629.png](image_629.png)
![image_628.png](image_628.png)

### Prozessverläufe

| Initiierung                     | Planung                         | Umsetzung                       | Controlling                     | Abschluss                       |
|---------------------------------|---------------------------------|---------------------------------|---------------------------------|---------------------------------|
| ![image_636.png](image_636.png) | ![image_637.png](image_637.png) | ![image_638.png](image_638.png) | ![image_639.png](image_639.png) | ![image_640.png](image_640.png) |



## Projektorganisationsformen
![image_630.png](image_630.png)

|                                    | **Reine (Linien-) Projektorganisation**                              | **Matrix-Projektorganisation**                                                                                             | **Einfluss (Stab-Linien-) Projektorganisation**                                                                      |
|------------------------------------|----------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------|
| **Weisungsbefugnisse**             | voll beim Projektleiter                                              | bestehende Organisationseinheiten werden mit zusätzlichen, Pj-bezogenen Weisungsrechten überlagert                         | PL bekommt keine Weisungsrechte, nur Koordinationsaufgabe für alle anfallenden P-Arbeiten                            |
| **Verantwortung (Zielerreichung)** | voll beim Projektleitung                                             | PL für Erreichung Termin- und Kostenziele (Was und Wann), Linienvorgesetze für fachlich, disziplinarisch (Wer, Wie, Womit) | PL für rechtzeitige Information der Instanzen (Qualität der Vorschläge, Berichte, ...), andere Instanzen entscheiden |
| **Projektmanagement**              | eigenständige/unabhängige Organisationseinheit, unter Leitung des PL | Zusammenarbeit mehrerer FBs unter Koordination und Abwicklung des PM                                                       | Zusammenarbeit mehrerer FBs unter Koordination des PL                                                                |
| **Mitarbeiter**                    | werden aus ursprünglichen Aufgaben befreit                           | sind Projektleiter und Linienvorgesetzten zugeordnet, arbeiten anteilig an Linie, Projekt                                  | lediglich funktionell beteiligt, bleiben Organisationseinheit unterstellt, Unternehmensstruktur bleibt gleich        |
| **Wann wirds genutzt?**            | komplexe (fulltime) Projekte mit hohem Risiko, mehrere Abteilungen   | bei hoher Anzahl von Projekten, interdisziplinäre, komplexe Projekte                                                       | bei B-Projekten mit mittlerem Risiko/Zeitdruck in Unternehmen mit teamorientierten Führungsstrukturen                |
| **Beispiel**                       | ![image_631.png](image_631.png)                                      | ![image_632.png](image_632.png)                                                                                            | ![image_633.png](image_633.png)                                                                                      |

### Beachtung Gleichgewicht von Aufgabe, Kompetenz, Verantwortung (AKV)

| Organisatorischer Begriff | Beschreibung           | Beispiel                                                           |
|---------------------------|------------------------|--------------------------------------------------------------------|
| **Aufgabe (Funktion)**    | Rolle, Tätigkeit       | Berate, Planer Teamsitzung leiten, Aufgabenerfüllung kontrollieren |
| **Kompetenz**             | Befugnis, (Voll-)Macht | Arbeit zuweisen, Zugang zu Infos, Ziele/Vorgehen ändern            |
| **Verantwortung**         | Verpflichtung ggü. 3.  | Erreichung Projektergebnisziele, Einhaltung Termine                |

![image_634.png](image_634.png)