# Projektinitiierung
## Projekte aufsetzen
- Klärung und Vereinbarung des **WAS**
  - Ziele ([SMART-Regel](#smart-regel))
  - Projektauftrag
  - Projektumfangsbeschreibung
- **WER** ist beteiligt? **WEN** betrifft es?
  - Stakeholder identifizieren
  - Projektorganisation & Projektteam
  - Projektkontext und Rahmenbedingungen

## Genehmigungsprozess
- Verbindet Unternehmensplanung mit Projektmanagement
- ![image_768.png](image_768.png)

## Haupttätigkeiten des Projektstarts
![image_769.png](image_769.png)

### Systemanalyse
- zentralste, schwierigste Aufgabe bei P-Start
  - Abgrenzung Produktscope, Projektabwicklungsscope
  - ![image_771.png](image_771.png)

#### Beispiel Buchhaltungssystem
![image_772.png](image_772.png)

### Projektziele
- Definition:
  - Gedanklich vorweggenommener Zustand
    - _bspw. Bachelorarbeit (ist abgeschlossen), Reise (ist durchgeführt)_
- > Mit Setzung eines Ziels bestimmt man die Anforderungen an das zu erwartende Resultat, nicht aber das Vorgehen!

#### SMART-Regel
- Leitfrage: Was genau wollen wir wann erreicht haben?
- Spezifisch
- Messbar
- Attraktiv/Akzeptiert
- Realistisch
- Terminiert

#### Arbeiten mit Zielen
- Ziele sind Triebfelder des Handelns und Richtschnur von Entscheidungen
  - Falls nicht bewusst, widersprechend, unterschiedlich wichtig, ungenau
    - formulieren, konsistent machen, kommunizieren, verbindlich machen
- Sinnvolle Reihenfolge:
  - Was ist zu tun?
  - In welcher Reihenfolge?
  - Wie?
  - Mit/von wem?

##### Nicht-Ziele
- klare Formulierung von Nicht-Zielen hilft
  - Projektabgrenzung klar machen
  - Verhindert Ausufern des Projekts
  - Vereinfacht Argumentation im Projektverlauf und bei der Abnahme


#### Vom Magischen Dreieck zum Teufelsquadrat
![image_773.png](image_773.png)

#### Detaillierungsgrad von Projektziele
> Ein Projekt ist noch nie an zu früh formulierten, detaillierten Zielen und Anforderungen gescheitert – vom Gegenteil aber schon

- ![image_774.png](image_774.png)

### Bedürfnisermittlung
- Anforderungskatalog erstellen
- ![image_775.png](image_775.png)

### Stakeholderanalyse
- Wer sind die wesentlichen Beteiligten am Projekt?
- Welche Interessen haben die?
- Wer ist am Erfolg/Scheitern interessiert?
- Welche Macht zum Unterstützen/Verhindern haben die Beteiligten?
- Welche Widerstände sind durch Stakeholder zu erwarten?
- Welche Auswirkungen hat das Projekt auf die Organisation?

![image_776.png](image_776.png)
![image_777.png](image_777.png)


### Projektorganisation und Team
- Organisatorischen Rahmen des Projekts festlegen
- Rollen
  - Auftraggeber (Sponsor)
  - Projektleiter
    - Verantwortet Projekt
  - Projektrollen & Team (initial):
    - Detaillierung in der Projektplanung

### Business-Case
- ~Machbarkeitsstudie / Grobkonzept
  - Wie lässt sich die Investition rechtfertigen?
  - Welcher Nutzen im Vergleich zum Aufwand ist zu erwarten?
  - Welchen Beitrag leistet das Projekt zur Erreichung der Unternehmensziele?
  - Ist es nach derzeitigem Wissensstand realisierbar?
- Projektauftrag erstellen
  - Management Summary von Projektplan und Business-Case

### Projektauftrag
- macht Projekt verbindlich
  - für Auftraggeber und Projektleiter
- Inhalte
  - Projektüberblick
    - Motivation, Auftrag
    - (Geschäftliche Ziele)
    - Umfang
    - Kritische Erfolgsfaktoren
    - Annahmen
    - Beschränkungen
  - Autoritäten und Meilensteine
    - Finanzierung
    - Entscheidende Meilensteine
    - Projektsteuerung, Kontrolle
  - Projektorganisation
    - Struktur
    - Rollen, Verantwortung
    - Einrichtungen, Ressourcen


## Projektklassifizierung
- Erfolgt auf Projektportfolioebene
- In der Regel gibt es mehr Ideen als Budget
  - Wer das Projekt durchsetzen will, muss Ziele und Nutzen im Kontext übergeordneter Unternehmensziele klar darstellen können
- ![image_770.png](image_770.png)