# Projektplanung
**Warum überhaupt?**

![image_804.png](image_804.png)

- Durch Planung werden folgende Ziele angestrebt:
  - Ermittlung realistischer Vorgaben für
    - zu erbringende Arbeitsleistung
    - Termine
    - Ressourceneinsatz
    - Kosten
  - Effiziente Durchführung des Projekts
    - & frühe Fehlererkennung
  - Information aller Instanzen
  - Erarbeitung von Messgrößen für Kontrolle und Steuerung
  - Dokumentation Vorhaben

## Vorgehensmodelle und Implikationen
### konstruktivistisches Vorgehensmodell
- ![image_805.png](image_805.png)
- Phasen laufen linear ab
- nicht möglich validierte (Teil-) Ergebnisse aus früheren Phasen zu überarbeiten
  - Projektmitarbeiter können sich voll und ganz darauf abstützen

### evolutionäres Vorgehensmodell
- ![image_806.png](image_806.png)
- erlaubt wiederholtes Zurückgreifen auf vorherige Ergebnisse
- auf Veränderungen kann schnell reagiert werden
  - _bspw. Ziele, Umgebung, Rahmenbedingungen_
- Sukzessive Bereitstellung funktionstüchtiger Teilstücke
- bedingt sorgfältige Überlegungen

### Versionierung der Planung
![image_807.png](image_807.png)

## Planungselemente, -Ablauf
### Ablauf
![image_808.png](image_808.png)

### 1. Abwicklungszielplanung
- fundamentaler Bestandteil einer Planung
- zeigen auf, in welchen Teiletappen die definierten Systemziele erreicht werden sollen
- ![image_809.png](image_809.png)

#### sinnvolle Meilensteine anhand der Abwicklungsziele definieren
- Meilenstein beschreibt Zustand einer Leistung, die erbracht werden muss 
  - bis zu einem bestimmten Zeitpunkt 
  - mit entsprechenden Kosten 
- liefert schnellen Überblick über Eckpunkte des Projekts
- Bspw:
  - ![image_810.png](image_810.png)

##### Arbeit mit Meilensteinen
- MS bilden Grundlage für _High-Level_-Steuerung von Projekten
  - MS-Sitzungen an MS-Terminen
    - MS-Entscheidungen über Projektzukunft treffen
      - typische Entscheidungen:
        -   ![image_811.png](image_811.png)
  - Bei Phasenübergängen
    - MS-Termin = _Quality Gate_

### 2. Projektstrukturplan (PSP) / Work Breakdown Structure (WBS)
- Hauptziel: Gesamtaufgabe des Projekts in einzelne plan- und kontrollierbare Teilaufgaben zu gliedern
- Ordnet und strukturiert **alle** für das Erreichen des Projektziels nötige Arbeiten
  - **Was** und nicht ~~wie, wann~~
- Erleichtert Budgetierung
- Dient als Grundlage für restliche Pläne

#### Arten des PSP
##### Objektorientierte Gliederung
- Produkt/System steht im Vordergrund
  - Wird in einzelne Komponenten zerlegt
- Beispiel:
  - ![image_812.png](image_812.png)

##### Ablauf-/ Phasenorientierte Gliederung
- Notwendige Arbeitspakete für Projekterstellung werden aufgeführt
  - ablauflogisch strukturiert
- Beispiel:
  - ![image_813.png](image_813.png)

##### Gemischtorientierte Gliederung
- auf einer Ebene immer die gleiche Methode
- Beispiel:
  - ![image_814.png](image_814.png)

#### Bildung von Arbeitspaketen ist letzte Detailierungsstufe
##### Arbeitspaket
- in sich geschlossene Aufgabenstellung
  - bis zu einem festgelegten Zeitpunkt 
  - definiertes Ergebnis, Aufwand
- kleinstes Element eines [PSP](#arten-des-psp)
- ![image_815.png](image_815.png)

##### Hinweise zur Bildung
- Prozess stetiger Verfeinerung
- [AP](#arbeitspaket) weißt auf spezifizierbares Ergebnis
  - kann termin- und kostenmäßig überwacht werden
- Muss Verantwortlichen haben
- Externe Aufgaben als getrenntes AP
- Erfahrungswerte
  - 5 - 60 Personentage
    - kleiner als separate Liste
  - max. 4 Pakete pro Mitarbeiter
  - max. 3 Mitarbeiter pro Paket

### 3. Ablaufplanung
- Ordnet Liste sämtlicher Arbeiten (auf Basis von PSP) für Durchführung
  - Falls [AP](#arbeitspaket) aus PSP noch zu grob → in einzelne Vorgänge zerlegen
- Vorgehen:
  - Welche [AP](#arbeitspaket) können unabhängig gemacht werden
  - Welche [AP](#arbeitspaket) sind Voraussetzungen
  - Welche [AP](#arbeitspaket) können direkt folgen
  - Welche Aktivitäten gehen parallel
- Beispiel:
  - ![image_816.png](image_816.png)
- Kann man mit nem Balkendiagramm (mäßig Excel) darstellen


### 4. Einsatzmittel-/ Ressourcenplanung
- Ziel: optimale Auslastung Personal- und Betriebsmittel
- Kapazitätsplanungen zeigen Engpässe und Leerläufe auf
- Personalbedarf:
  - $Personalbedarf = {Arbeitsmenge}/{Einsatzdauer}$
- Bruttoaufwand:
  - $Nettoaufwand * Einsatzfaktor * Fähigkeitsfaktor$

### 5. Organisation des Projekts
- geeignete [Projektorgansationsform](00_EinführungPM.md#projektorganisationsformen) finden

### 6. Kostenplan
- Auf Basis der vorgehenden Planungsschritte
- lückenlos
- basiert auf einsatzmittelbezogener Aufwandsberechnung pro [AP](#arbeitspaket)

### 7. Start-/Endtermine pro [AP](#arbeitspaket) festlegen
- Änderung eines Planwerts hat Auswirkung auf andere Pläne
- geschlossene Prozesskette innerhalb der Projektplanung
  - Projektstruktur-, Ablauf-, Einsatzmittel-, Terminplanung
- Jetzt vollständige AP-Liste
  - ![image_817.png](image_817.png)

### 8. Projektbudgetplanung
- Wann welche Finanzmittel 
- Beispiel:
  - ![image_818.png](image_818.png)


### 9. Informations-/ Dokumentationsplanung
- formale Planung wichtiger Informationen
- wesentliche Aspekte
  - Planung Informationssysteme
    - Aufbereiten Informationen und gezieltes Verteilen an alle Beteiligten
  - Planung Dokumentationssysteme
    - Ertstellung, Verteilung, Dokumentation aller Ergebnisse

