# HW-Bausteine und Verkabelung
## Zusammenfassung HW-Bausteine
### Repeater
- Regeneriert und verstärkt elektrisches Signal
- **keine** Bitinterpretation
- kennt **keine** Pakete / Mac-Adressen

### Hub
- Konzentrator für LANs
  - ~**Multiport-[Repeater](#repeater)**

### Bridge / **Switch**
- Nimmt **physikalische Trennung von Netzen** vor
- Führt **Fehler- und Lasttrennung** durch
- Mechanismen zum **Filtern** implementiert
- Lernt die MAC-Quell-Adressen der aktiven Endgeräte
- Trennt Kollisions-Domänen im LAN auf Schicht 2

### Router
- Entkoppelt (Teil-)Netze auf logischer (Protokoll-)Basis 
  - aufgrund von Layer-3-Adressen
- Steuert Verkehr zwischen Netzen (**Wegefindung**)
- Arbeitet **Protokollabhängig**
- Trennt Broadcast- und Kollisionsdomänen im LAN

### Gateway
- Nimmt **Umwandlung von Diensten** vor
  - _ISDN-Telefonie ↔ Voice-over-IP_
- Security Mechanismen möglich
  - _Firewall, Proxy_

### Unterschiede Bausteine
#### Switch vs. Router
![image_750.png](image_750.png)

##### Routing vs. Switching
![image_751.png](image_751.png)

#### Weiterleitung vs. Routing
> ![image_752.png](image_752.png)

## Broadcast-Domäne
### Bereich/Definition
> umfasst alle Geräte und Netzwerksegmente, die durch Switches, Hubs und Brücken miteinander
> verbunden sind, jedoch nicht durch Router getrennt werden

> Layer-2-Switche leiten Broadcasts, insbesondere an alle Ports innerhalb des gleichen
> VLANs weiter

#### Begrenzung durch Router
> Router begrenzen Broadcast-Domänen, indem sie Broadcast-Pakete nicht an andere Netzwerke weiterleiten.
> Dies ist wichtig, da ein unkontrollierter Broadcast-Verkehr das Netzwerk überlasten und die Leistung
> beeinflussen kann.

### Broadcast-Typen
> [ARP](01_Internetworking.md#address-resolution-protocol-arp)-Anfragen
>
> [DHCP](01_Internetworking.md#dynamic-host-configuration-protocol-dhcp)-Anfragen
>
> Essenziell, um Netzwerkadressinformationen zu ermitteln oder zuzuweisen


## Kollisionsdomäne
### Bereich/Definition Kollisionsdomäne
> Netzwerksegment, in dem Datenpakete kollidieren können, wenn zwei Geräte gleichzeitig senden.
> Typisch für ältere Ethernet-Netzwerke, die auf einer Bus-Topologie oder Hub basieren und das 
> [CSMA/CD-Protokoll](#csma-cd-protokoll) (Caarrier Sense Multiple Access with Collision Detection) verwenden.

### Begrenzung
> Verwendung von Switches oder Routern anstelle von Hubs
> 
> Während Hubs das gesamte Netzwerk zu einer KD machen, isoliert jeder Port eines Switches/Routers
> eine separate KD.

### CSMA/CD-Protokoll
> Wird verwendet, um Kollisionen zu handhaben. Wenn eine Kollision erkannt wird, stoppen die sendenden
> Geräte, warten eine zufällige Zeitspanne und versuchen dann erneut, ihre Daten zu senden.

> Mehrfachzugang mit Trägerprüfung und Kollisionserkennung.

![image_754.png](image_754.png)

#### Grundprinzipien
##### Carrier Sense (Trägererkennung)
- Ethernetgerät prüft, ob Übertragungsmedium frei ist, bevor es sendet
  - für hinreichend lange Zeit (Round-Trip-Delay) keine Übertragung

##### Multiple Access (Mehrfachzugriff)
- Mehrere Ethernet-Geräte haben gleichzeitig und konkurrierend Zugriff auf das gleiche Übertragungsmedium
  - können senden, wenn es frei ist

##### Collision Detection (Kollisionserkennung)
- Während Übertragung weiterhin Medium abhören, um mögl. Kollision festzustellen
  - wenn erkannt:
    - spezielles Kollisionserkennungssignal, um alle Geräte im Netzwerk zu informieren
- **NUR der Sender kann die Kollision NUR während des Sendevorgangs erkennen!**

##### Jam Signal (Störsignal)
- wenn Kollision erkannt:
  - spezielles Störsignal, um alle Geräte im Netzwerk zu informieren

##### Backoff-Algorithmus
- **Verzögerung vor erneutem Versuch**
  - alle Geräte warten eine zufällige Zeit vor erneutem Übertragungsversuch
  - Wartezeit wird in Slot-Times berechnet
    - typ. Slot-Time: `51,2 Mikrosekunden`
- **Exponentieller Backoff**
  - Wartezeit wird nach jeder Kollision erhöht, um Wahrscheinlichkeit weiterer Kollisionen zu verringern

#### Ergänzung: Eine sendewillige Ethernetstation…
![image_791.png](image_791.png)
- hört Kanal vor Übertragung auf Senderaktivität ab 
- beginnt frühestens 9,6μs nach Freiwerden des Kanals mit dem Senden
  - Inter Frame Gap (IFG) 
    - ermöglicht es anderen Ethernet-Stationen, das Senderecht zu erlangen
      - verhindert Monopolisierung der Übertragung
    - gibt Ethernet-Station, die gerade empfangen hat, Zeit, um in Empfangsmodus zurückzuschalten
    - wird verwendet, um minimale Pause zu gewährleisten
    - ermöglicht es Netzwerkgeräten, Zeit für die Verarbeitung der Frames und für die Erkennung von Kollisionen zu haben
      - besonders wichtig in älteren Ethernet-Varianten (10BASE-T)
- Überwacht den Kanal auch während des Sendens
- Bricht Übertragung bei Entdeckung einer Kollision sofort ab
  - und sendet Störsignal
- Bleibt für die zufällige BEB-Zeit (Backoff) inaktiv
  - Versucht Übertragung danach erneut, wenn Kanal laut CS frei ist

## Beispielaufgabe Klausur Broadcast-/Kollisionsdomänen
- Netzwerkplan gegeben
- Alle Broadcast- und Kollisionsdomänen einzeichnen
  - **Router trennen Broadcast-Domänen**
  - **Router, Switch und Bridge trennen Kollisionsdomänen**
- ![image_758.png](image_758.png)
- ![image_755.png](image_755.png)
- Antwort:
  - | ![image_756.png](image_756.png) | ![image_757.png](image_757.png) |
    |---------------------------------|---------------------------------|

## Netzwerktopologien
> ![image_759.png](image_759.png)

## Strukturierte Verkabelung
### Primärbereich
> Gebäudeübergreifende Verkabelung mittels Glasfaser (redundanter Kabeltrassen auf Lichtwellenleiterbasis)
> 
> Beginnen und enden an Gebäudeverteilern
> 
> Aufgrund der relativ großen Entfernung, Erdungsproblematik, Bandbreite → Glasfaser
> 
> Beispiel: Backbone zwischen Gebäuden eines Campus

### Sekundärbereich
- Gebäudeintern
  - einzelne Etagenverteiler auf Grundlage von Kupfer- oder Glasfaserkabeln
- Innerhalb des Gebäudes zwischen Zentralraum und Etagenverteiler

### Tertiärbereich
- Meist sternförmige Verkabelung **auf Etagenebene**
  - Endgeräte mit Etagenverteilern verbinden
- Kupfer- / Glasfaserkabel


## Beispielaufgabe Klausur strukturierte Verkabelung
- ![image_760.png](image_760.png)
- Lösung:
  - ![image_761.png](image_761.png)

## Ethernet (IEEE 802.3) in einer Nussschale  
![614b7c97-4b3a-494a-a287-440020ec46e4.png](614b7c97-4b3a-494a-a287-440020ec46e4.png)
- Problem: Viele Ethernetstationen greifen konkurrierend auf einen Bus zu
- Lösung:
  - Carrier Sensing (CS)
  - Multiple Access (MA)
  - Collision Detection (CD)
  - Binary Exponential Backoff-Algorithmus (BEB)
- ![image_762.png](image_762.png)

### IEEE 802-Protokollfamilie

### Data Flow (Transmitting Data)
![image_763.png](image_763.png)

### Data Flow (Receiving Data)
![image_764.png](image_764.png)

### Ethernet Header
![image_765.png](image_765.png)


## Kabeltypen
- Kupferkabel
  - Twisted Pair
    - Geschirmt / Ungeschirmt
- Glasfaser
  - Multimode
  - Monomode

### Schirmung oder nicht?
> Schirmung ist nur dann sinnvoll, wenn beide Seiten auf selbem Erdungspotenzial liegen
> 
> Niemals zwischen Gebäuden!