# Praktikum 1
> Michelle Klein (1126422), David Schirrmeister (1125746)

## Versuch: ICMP und RTT
### Vorbereitung
Primäres Netzwerk-Interface
```bash
eth0: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 172.18.188.38  netmask 255.255.240.0  broadcast 172.18.191.255
        inet6 fe80::215:5dff:fe64:f4c5  prefixlen 64  scopeid 0x20<link>
        ether 00:15:5d:64:f4:c5  txqueuelen 1000  (Ethernet)
        RX packets 25060  bytes 37385604 (37.3 MB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 1472  bytes 156608 (156.6 KB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0
```
Interface-Name: `eth0`
IPv4: `172.18.188.38`

### Durchführung und Auswertung: ICMP
**Versuchsbeschreibung:**

In diesem Versuch sollen Sie das Kommando ping -i 5 -c 5 www.cern.ch benutzen und eine erste
Aufzeichnung davon mit Wireshark durchführen.

1. Mit wie vielen aufgezeichneten Paketen rechnen Sie?

- 10 Pakete
    - 5 Anfragen
    - 5 Antworten

2. Wieviele Pakete sind insgesamt wirklich aufgezeichnet worden?

- 10 Pakete

3. Warum ergibt sich da einen Unterschied?

- es ergibt sich kein Unterschied

4. Wie lautet der Filter?

- `Strg + /`
- `icmp`

5. Können Sie ”Ihre“ ICMP-Pakete identifizieren?

- ICMP Pakete, welche in der Info `request` enthalten

6. Wie viele ICMP-Pakete sehen Sie?

- 10 ICMP Pakete

7. Hätten Sie mit dieser Anzahl von ICMP-Paketen gerechnet?

- ja


### Durchführung und Auswertung: RTT
| Zeitstempel request | Zeitstempel reply | RTT [µs] |
|---------------------|-------------------|----------|
| 606338              | 621931            | 15593    |
| 5612004             | 5628981           | 16977    |
| 10617131            | 10634138          | 17007    |
| 15622287            | 15640563          | 18276    |
| 20628685            | 20647957          | 19272    |

Durchschnitt: 17425 [µs]

Standardabweichung: 1402,431995 [µs]

```mermaid
xychart-beta
  title "RTT Time per Packet-Pair"
  x-axis "Packet Pair" [1,2,3,4,5]
  y-axis "RTT (µs)" 15000 --> 19500
  line [15593, 16977, 17007, 18276, 19272]
```

**Interpretation:**

Die RTT kann immer schwanken, aufgrund von restlichem Netzwerktraffic, CPU-Last, Routernänderung, usw. . Dadurch ist die unterschiedliche RTT zu erklären, welche in diesem Fall ansteigt.

#### Vergleich der Mittelwerte bei 3 Durchführungen
| Durchführung | Mittelwert RTT |
|--------------|----------------|
| Nr. 1        | 17425 [µs]     |
| Nr. 2        | 17243,8 [µs]   |
| Nr. 3        | 18503,4 [µs]   |

**Interpretation:**

Die Roundtrip-Zeiten weichen ein wenig ab, sollte man mehr Versuche machen, wird diese jedoch nicht immer weiter steigen sondern etwa gleich bleiben. Sie wird beeinflusst durch div. anderen Netzwerk-Traffic, der zusätzlich anfällt.



## Vorbereitung für Laborversuche
### Versuchsaufbau:

Der Labor-PC wird über ein Ethernetkabel an den Server (Port 3) angeschlossen.

Über `sudo ifconfig enp0s31f6 192.168.8.4 netmask 255.255.255.0` wird das Netzwerk-Interface konfiguriert

**Ausgabe `ifconfig enp0s31f6`:**

```bash
enp0s31f6: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 192.168.8.4  netmask 255.255.0.0  broadcast 192.168.8.255
        inet6 fe80::ce96::e5ff:fe35:23be prefixlen 64 scopeid 0x20<link>
        ether cc:96:e5:35:23:be  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 181  bytes 32096 (32.0 KB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0
        device interrupt 19 memory 0x74000000-74020000
```

Mit `ssh vyos@192.168.8.1` und dem Passwort `vyos` kann der Computer sich mit dem Vyos-Router verbinden.

**Eingabemaske, welche sich öffnet:**

```bash
Last login: Thu Apr 17 12:37:56 2025 from 192.168.8.200
vyos@192.168.10.2-Vyos-1.3.ß-epa3:~$ 
```


