# Systeme
## Docker

Docker is a platform designed to help developers build, share, and run applications using containers. Containers allow you to package an application with all its dependencies into a standardized unit for software development. This ensures consistency across multiple development and release cycles, and across different environments. Docker provides tools like Docker Desktop, Docker Hub, and Docker Engine to facilitate containerization and deployment.
## Kubernetes

Kubernetes, also known as K8s, is an open-source system for automating deployment, scaling, and management of containerized applications. It groups containers that make up an application into logical units for easy management and discovery. Kubernetes is designed to scale without increasing your operations team, and it can run anywhere, giving you the freedom to take advantage of on-premises, hybrid, or public cloud infrastructure.
## FastAPI

FastAPI is a modern, high-performance web framework for building APIs with Python 3.6+ based on standard Python type hints. It is designed to be easy to use, fast to code, and ready for production. FastAPI automatically generates interactive API documentation using Swagger UI and ReDoc, and it uses Pydantic for data validation and serialization. This framework is ideal for building robust and scalable applications quickly. 
Medium+1Docker Hub+1
## SQLAlchemy

SQLAlchemy is the Python SQL toolkit and Object Relational Mapper (ORM) that gives application developers the full power and flexibility of SQL. It provides a full suite of well-known enterprise-level persistence patterns, designed for efficient and high-performing database access, adapted into a simple and Pythonic domain language. SQLAlchemy offers both a high-level ORM and a low-level Core for constructing SQL expressions and schema management.
## FastAPI with SQLAlchemy

Combining FastAPI with SQLAlchemy allows developers to build high-performance APIs with robust database interactions. FastAPI's asynchronous capabilities can be leveraged alongside SQLAlchemy's ORM features to create efficient and scalable applications. This integration supports features like automatic data validation, serialization, and interactive API documentation, streamlining the development process. 
Medium+1Docker Hub+1
## Alembic

Alembic is a lightweight database migration tool for usage with the SQLAlchemy Database Toolkit for Python. It provides a system for managing database schema changes, allowing for version control of database structures. Alembic is particularly useful for applications that require continuous database evolution without losing data. It integrates seamlessly with SQLAlchemy, making it a preferred choice for managing migrations in Python applications.
testdriven.io
## Swagger UI

Swagger UI is a tool that automatically generates interactive API documentation from OpenAPI specifications. It allows developers and users to visualize and interact with the API's resources without having any of the implementation logic in place. Swagger UI is automatically integrated with FastAPI, providing a user-friendly interface to test and understand API endpoints. This enhances the developer experience and facilitates easier API consumption. 