# Wirtschaftsinformatik im digitalen Zeitalter
## Was ist Wirtschaftsinformatik
- interdisziplinäres Fach zwischen BWL und Informatik
  - ![image_166.png](image_166.png)
- Informationssysteme umfassen mehr als nur technische Dimension
  - Technik, Organisation, Management

### Zusammenhang Anwendungs- & Informationssysteme
- ![image_167.png](image_167.png)

### Digitalisierung Daten → Informationen
| Daten                                                        | Informationen                         |
|--------------------------------------------------------------|---------------------------------------|
| Repräsentieren Ereignisse in Unternehmen (bzw. deren Umfeld) | in Form gebrachte Daten               |
| nicht strukturiert, für einen Menschen unverständliche Form  | für Menschen bedeutungsvoll, nützlich |
![image_168.png](image_168.png)

### Informationen
> Bedeutendes immaterielles Wirtschaftsgut
> 
> Die größten Firmen liefern nur Infrastruktur

- Alibaba hat keine eigenen Waren
- Facebook macht keinen Content
- Uber hat keine eigenen Autos
- Airbnb hat keine eigenen Wohnungen


### Daten
- Als Produktionsfaktor
  - Wert von Daten
    - Möglichkeit ihrer zweckmäßigen Verwendung zur Produktion von nachgefragter [Information](#informationen)
    - kann durch Speicherung, Verarbeitung, Weiterleitung verändert werden
  - Daten können ohne "Abnutzung" auch mehrfach verwendet werden
  - **Daten können missbraucht werden!**

### Cloud Computing
- Innovationstreiber des digitalen Zeitalters
- Vorteile für Nutzer
  - nicht verantwortlich für Infrastruktur
    - Leistungen an Betreiber der Cloud ausgelagert
  - Auftraggeber-Auftragnehmer-Verhältnis
  - Nachfrageorientiert
    - skalierbar
  - Softwarelösungen dynamisch bedienen
  - Verringern von Fehlinvestitionen
  - unternehmerische Anforderungen schneller umsetzbar

## Digitalisierung und digitale Transformation
- **Digitalisierung**
  - Veränderung in allen Bereichen der Gesellschaft
  - verstärkte Nutzung von digitalen Technologien
  - Übertragung analoge Aufgabe in die digitale Welt
- wird auch als **digitale Transformation** bezeichnet

### Herausforderungen für Organisationen
- systematische, über einzelne Projekte hinausgehende Auseinandersetzung mit Frage
  - Wie wird die digitale Transformation organisiert
    - Verantwortung bei CEO, CDO, CIO?
    - Rolle des HR-Bereichs
    - Welche Tools
    - Einfach an IT delegieren?
    - Wie oft muss Top-Management darüber nachdenken?

### 5 Stufen der digitalen Transformation
![image_169.png](image_169.png)

