# Betriebswirtschaftliche Grundkonzepte
## Lernziele
1. Begriff "[Wirtschaften](#wirtschaften)"
2. Konzept "[Homo Oeconomicus](#der-idealunternehmer-homo-oeconomicus)"
3. [Gegenstand der BWL erklären und von anderen Wirtschaften abgrenzen](#bwl-im-system-der-wissenschaften)
4. unterschiedliche Arten von Gütern, [Wirtschaftseinheiten](#vollzieht-sich-in-konkreten-wirtschaftseinheiten) nennen, erklären
5. [ökonomisches Prinzip mit Ausprägungen erklären + Beispiele](#das-konomische-prinzip-rationalprinzip)
6. [Effizienz vs Effektivität](#effizienz-vs-effektivit-t)
7. allgemeinen [Leistungserstellungsprozess](#umsatz-transformations-leistungserstellungsprozess) + [Produktionsfaktoren nach Gutenberg](#produktionsfaktoren-nach-gutenberg) beschreiben
8. [Produktivität, Wirtschaftlichkeit, Rentabilität](#unternehmerische-erfolgsma-st-be) ermitteln

## Gegenstand der Betriebswirtschaftslehre
- Wirtschaften in und von Betrieben

### Betrieb:
- planvoll organisierte Wirtschaftseinheit
- Produktionsfaktoren werden kombiniert um Güter und Dienstleistungen herzustellen und abzusetzen

## Wirtschaften 
> Wirtschaften ist der sorgsame Umgang mit knappen Ressourcen zur bestmöglichen Bedürfnisbefriedigung

- Ausgangspunkt allen wirtschaftlichen Handelns
  - **Bedürfnisse der Wirtschaftssubjekte**
    - Mangelempfindung nach Gütern / Dienstleistungen und Wunsch ihrer Befriedigung
    - 3 Arten
      - Existenzbedürfnisse
      - Grundbedürfnisse
      - Luxusbedürfnisse
    - **Bedürfnisbefriedigung**
      - ![image_170.png](image_170.png)

### Vollzieht sich in konkreten Wirtschaftseinheiten
- _Träger der Wirtschaft_
- bestehen aus
  - Betrieben (Produktionswirtschaft)
  - Haushalten (Konsumtionswirtschaft)

## Das ökonomische Prinzip (Rationalprinzip)
- Knappheit der Güter zwingt Wirtschaftssubjekte zum Wirtschaften
- wirtschaftliches Handeln unterliegt **Vernunftprinzip (Rationalprinzip)**
  - wird auch als ökonomisches Prinzip (Wirtschaftlichkeitsprinzip) bezeichnet
  - Knappe Mittel dürfen nicht verschwendet werden

> Alle betrieblichen Entscheidungen haben dem ökonomischen Prinzip zu gehorchen
> Erst so wird der Betrieb zur planvoll organisierten Wirtschaftseinheit

### Ausprägungen
|                       | **Maximumprinzip**                  | **Minimumprinzip**                        | **Optimumprinzip**                                                                           |
|-----------------------|-------------------------------------|-------------------------------------------|----------------------------------------------------------------------------------------------|
| **Gegeben**           | Faktoreinsatz (_Input_)             | Gütermenge (_Output_)                     |                                                                                              |
| **zu erwirtschaften** | größtmögliche Gütermenge (_Output_) | geringstmöglicher Faktoreinsatz (_Input_) | möglichst günstiges Verhältnis zwischen Input und Output                                     |
| **Wann Nutzen**       | gegebener Aufwand                   | Gegebener Ertrag                          | maximiere Differenz zwischen Ertrag und Aufwand <br/>Prinzip langfristiger Gewinnmaximierung |
 

### Beispiele zum ökonomischen Prinzip
|                | Input                                          | Output                                 |
|----------------|------------------------------------------------|----------------------------------------|
| Maximumprinzip | 10 Liter Kraftstoff (**Datum**)                | möglichst weite Fahrstrecke (**→max**) |
| Minimumprinzip | möglichst wenig Kraftstoffverbrauch (**→min**) | 100km Fahrstrecke (**Datum**)          |


### Effizienz vs. Effektivität
> Der Grad der Verwirklichung des ökonomischen Prinzips wird mit der 
> Effizienz und der Effektivität gemessen

| **Effizienz**                                                                                                | **Effektivität**                                                                                     |
|--------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------|
| Beurteilung Beziehung erbrachte Leistung & Ressourceneinsatz                                                 | Beurteilung Zielerreichung<br/> in welchem Ausmaß werden Ziele erreicht?                             |
| Betrachtung _interne Leistungsfähigkeit_<br/> Fokus auf rationelle Abläufe und minimalen Ressourcenverbrauch | Betrachtung **Leistungswirksamkeit** des Unternehmens                                                |
| Frage: _Werden Dinge richtig gemacht?_                                                                       | Frage: _Werden die richtigen Dinge gemacht?_                                                         |
| Effizienz wird mit der [Produktivität](#produktivit-t) gemessen                                              | Kann mit [Wirtschaftlichkeit](#wirtschaftlichkeit) und [Rentabilität](#rentabilit-t) gemessen werden |

### Ökonomisches Prinzip darf nicht alleine betrachtet werden
![image_178.png](image_178.png)


## Der Idealunternehmer ("homo oeconomicus")
- Kunstfigur, die streng rational handelt
- achtet ausschließlich auf eigenen Vorteil (Nutzen-/Gewinnmaximierung)

| reich                          | arm                                          |
|--------------------------------|----------------------------------------------|
| vollständig informiert         | begrenzte Informationen                      |
| immer rational                 | objektiv / subjektiv-emotional               |
| Gewinnmaximierung entscheidend | Alternative mit größten Nutzen/Gewinn wählen |


## Unternehmerische Erfolgsmaßstäbe
### Produktivität
- ![image_171.png](image_171.png)

### Wirtschaftlichkeit
- ![image_172.png](image_172.png)

### Gewinn
- Ertrag - Aufwand

### Rentabilität
- ![image_173.png](image_173.png)

- Umsatzrentabilität
  - ![image_174.png](image_174.png)
- Eigenkapitalrentabilität
  - ![image_175.png](image_175.png)
- Gesamtkapitalrentabilität
  - ![image_176.png](image_176.png)

#### Beispiel Rentabilität
![image_177.png](image_177.png)


## BWL im System der Wissenschaften
![287059_2_De_1_Fig9_HTML.png](287059_2_De_1_Fig9_HTML.png)
- VWL (Nationalökonomie)
  - untersucht gesamtwirtschaftliche Zusammenhänge der Aktivitäten die von einzelnen [Wirtschaftseinheiten](#vollzieht-sich-in-konkreten-wirtschaftseinheiten) ausgehen
  - ist durch eine auf das Ganze gerichtete Betrachtungsweise charakterisiert
- BWL 
  - fasst Gebiete zusammen, die für alle Betriebe charakteristisch ist
    - Produktion, Absatz, Investitionen, Finanzierung
    - ![image_179.png](image_179.png)


## Wirtschaftskreislauf
![image_180.png](image_180.png)

## Umsatz-/Transformations-/Leistungserstellungsprozess
![image_181.png](image_181.png)

## Produktionsfaktoren nach Gutenberg
- Alle Elemente, die im betrieblichen Leistungserstellungs- und Leistungsverwertungsprozess miteinander kombiniert werden
  - Kombiniert → betriebliche Leistung
- ![image_182.png](image_182.png)

### Elementarfaktoren
- Ausführende Arbeit
  - _bspw. Menschliche Arbeitsleistung direkt am Produkt_
- Betriebsmittel
  - _bspw. Gebäude, Maschinen, Werkzeuge_
- Werkstoffe
  - _bspw. Rohstoffe, Zusatzteile_

## Angebot und Nachfrage
- **Nachfrage > Angebot** 
  - Steigende Preise
- **Nachfrage < Angebot**
  - Anbieter müssen größere Anstrengungen als Nachfrager unternehmen um am Marktgeschehen teilhaben zu können
  - Sinkende Preise