# Betriebliche Funktionsbereiche
## Lernziele
1. Begriffe [Unternehmensführung](#unternehmensf-hrung-im-berblick) und [Management](#managementinstitutionen) erläutern können
2. [Aufgaben Management](#managementaufgaben) und jeweilige Ebene nennen, allgemeinen [Managementzyklus](#managementprozesse) beschreiben
3. [Aufgabenanalyse und -synthese](#aufgabenanalyse-vs-aufgabensynthese) beschreiben
4. [Unterschied Aufbau- und Ablauforganisation](#aufbauorganisation-vs-ablauforganisation) beschreiben
5. Varianten der [Aufbauorganisation](#bestandteile-und-grundbegriffe-der-aufbauorganisation) nennen, skizzieren
6. zentrale Aufgaben & Fragestellungen der Produktionswirtschaft
7. Wesentliche Begriffe der [Produktionswirtschaft](#produktion) nennen und beschreiben können
8. Ziele und Aufgaben der [Materialwirtschaft](#materialwirtschaft) beschreiben
9. [ABC-Analyse](#abc-analyse-zur-optimierung-der-materialwirtschaft) sowie [Bestellmengenberechnung](#bestellmengenoptimierung) durchführen
10. Ziele und Aufgaben des [Marketings](#marketing) beschreiben
11. Wichtige Instrumente der [Absatzwirtschaft](#instrumente-der-absatzwirtschaft) beschreiben
12. Elemente der [Produktpolitik](#produktpolitik) und [Produktlebenszyklus](#produktpolitik) beschreiben

## Unternehmensführung im Überblick
- Umfasst alle zur Steuerung eines Unternehmens notwendigen Aufgaben, die nicht unmittelbar ausführend sind
- Hauptfunktionen
  - Planen & Kontrollieren
  - Koordinieren
  - Führen
- ![image_183.png](image_183.png)

## Managementinstitutionen
- Unternehmensleitung
  - Geschäftsführung oder Vorstand, oft nach funktionalen Zuständigkeiten aufgeteilt
    - CEO (Chief Executive Officer) 
    - CFO (Chief Financial Officer) 
    - COO (Chief Operating Officer)
    - CHRO (Chief Human Resources Officer)
    - CTO (Chief Technology Officer)
    - CIO (Chief Information Officer)
    - Verkaufsleiter
  - Mittlere Führungsebene (Middle-Management)
    - z.B. Bereichs- und Werksleiter
    - Abteilungsleiter (Steuerung der untersten Führungsebene)
  - Untere Führungsebene (Lower-Management)
    - z.B. Teamleiter, Gruppenleiter
    - Meist vorrangig mit der direkten Steuerung der ausführenden Tätigkeiten betraut

## Managementprozesse
### Phasen des Managementprozesses
![image_184.png](image_184.png)

### Planungshorizonte des Managementprozesses
| Merkmal               | strategische Planung                    | taktische Planung                | operative Planung                 |
|-----------------------|-----------------------------------------|----------------------------------|-----------------------------------|
| Fristigkeit           | 5 Jahre und mehr                        | 2-5 Jahre                        | max. 1 Jahr                       |
| Unsicherheitsgrad     | extrem                                  | hoch                             | gering                            |
| Datenprognose         | vorw. qualitativ <br/>grob strukturiert | quantiativ<br/>grob strukturiert | quantitativ<br/>fein strukturiert |
| Kapazitätsveränderung | ja: Rahmenplanung                       | ja: Detailplanung                | Nein: Kapazität = Datum           |
| Zuständigkeit         | Unternehmensleitung                     | mittlere Führungsebene           | untere Führungsebene              |


### Zielsetzungen je nach Planungshorizon
| Parameter           | Taktische Planung                                                                                                                         | Operative Planung                                                                                  |
|---------------------|-------------------------------------------------------------------------------------------------------------------------------------------|----------------------------------------------------------------------------------------------------|
| Planungsziel        | Optimierung langfristig wirksamer Kapazitäten                                                                                             | Feinplanung auf der Basis der gegebenen Kapazitäten                                                |
| Planungszeitraum    | mehrere Jahre (Dauer der Kapazitätsbindung)                                                                                               | maximal ein Jahr                                                                                   |
| Planungsgegenstände | Struktur des Produktions- und Absatzprogramms<br/>Stammpersonalkapazität<br/>Betriebsmittelkapazität<br/>langfristige Lieferverträge etc. | Bestellmengen<br/>Einzelaufträge<br/>Maschinenbelegung<br/>Eigentransport oder Fremdtransport etc. |
| Erfolgsmaßstäbe     | Einzahlungen und Auszahlungen (aufgezinst oder abgezinst)                                                                                 | Ein- und Auszahlungen, Erlöse, Kosten, Deckungsbeiträge                                            |

## Managementaufgaben
## Konzeptionelle Aufgaben
### Leitbild und Marke
- Erstellung einer Unternehmensphilosophie und/oder eines Unternehmensleitbildes
- Herausarbeitung einer "Marke"

### Ziele
- Festlegung und Kaskadierung der Unternehmens- und Abteilungsziele
  - **Formalziele**
    - Gewinn
    - Rentabilität
    - Produktivität
    - Wirtschaftlichkeit
    - Unternehmenswert
  - **Sachziele**
    - Leistungsziele(bspw. Verkaufsquoten)
    - Finanzziele (bspw. Liquidität)
    - Mitarbeiterbezogene Ziele (bspw. Zufriedenheit)
    - Gesellschaftsbezogene Ziele (bspw. Sponsoring, "Carbon Footprint")

## Organisation
- Ziel: Erhöhung der Effizienz durch Ordnung und Standardisierung

### Aufbauorganisation vs Ablauforganisation
| **Aufbauorganisation**                                          | **Ablauforganisation**                                                                    |
|-----------------------------------------------------------------|-------------------------------------------------------------------------------------------|
| **Struktur und Stabilität**                                     | **Gute Abläufe und Dynamik**                                                              |
| Beschreibt hierarchischen Aufbau                                | Zerlegt Prozessketten in Teilschritte                                                     |
| Zerlegt Unternehmen in "Stellen" mit ODER ohne Leitungsfunktion | Ordnet Teilschritte "Stellen" zu, die aus unterschiedlichen Teilen der AufbauOrg. stammen |
|                                                                 | Plant und optimiert die zeitliche Abfolge der Schritte                                    |

### Bestandteile und Grundbegriffe der Aufbauorganisation
#### Stelle (Inkl. Stellenbeschreibung)
- Zugeordnete Aufgaben
- Benötigte Kompetenzen
- Einordnungsort in der Hierarchie
- Mehrere Mitarbeiter können einer Stelle zugeordnet werden

#### Instanz
- Stelle mit Leitungsbefugnis
  - Gegensatz _ausführende Stellen_
- Besteht aus mehreren Stellen und einer Instanz
- Kann geschachtelt werden
  - Abteilung / Gruppe / Mitglieder

#### Leitungsspanne und Leitungstiefe
- **Leitungsspanne**
  - Anzahl Stellen pro Instanz
- **Leitungstiefe**
  - Anzahl der Hierarchieebenen

![image_185.png](image_185.png)

#### Ein- vs. Mehrlinienorganisation
![image_186.png](image_186.png)

#### Funktionale und Spartenorganisation im Vergleich
- ![image_187.png](image_187.png)
- Meistens in der Praxis Mischformen, da keine "perfekte" existiert
  - Matrixorganisation: ![image_188.png](image_188.png)

### Bestandteile und Grundbegriffe der Ablauforganisation
- Nimmt Aufbauorganisation als gegeben hin
- Regelt, wie einzelne Aufträge abgearbeitet werden sollen
  - definiert Arbeitsprozesse (bspw. Kundenauftrag entgegennehmen)
  - **Beschreibt Arbeitsprozesse**
    - Personaler Aspekt - _Wer? (Stelle, Kenntnisse, Kapazitäten)_
    - Räumlicher Aspekt - _Wo)_
    - Zeitlicher Aspekt - _Wann? (Reihenfolge, Zeitpunkt)_
    - Ressourcenaspekt - _Womit? (Arbeitsmittel, Beschaffung, Lagerung)_
    - Inhaltsaspekt / Input und Ergebnisse - _Was wird für die Bearbeitung als Input benötigt? Was ist das Ergebnis?_
  - Arbeitsprozesse erstrecken sich über viele Stellen der Aufbauorganisation

## Mitarbeiterführung
- Mitarbeiter beurteilen
- Gehaltsverhandlungen führen
- Arbeitsanweisungen erteilen
- Urlaubsanträge genehmigen
- Mitarbeiter weiterbilden
- Arbeitszeugnisse schreiben
- Mitarbeiter beraten
- Arbeitsergebnisse prüfen
- Mitarbeiter auswählen, einstellen
- Kündigungsgespräche führen
- Mitarbeiter motivieren

## Verantwortungsvolle Unternehmensführung
### Corporate Governance / Corporate Social Responsibility (CSR)
- verschiedene, teils konkurrierende Richtlinien
  - wie Geschäfte abschließen, dokumentieren
- Beispiele
  - Deutscher Corporate Governance Kodex
  - Sarbanes-Oxley-Act USA
  - Transparency International Business Principles
- Herausforderungen
  - Regeln erfordern umfangreiche Dokumentation
  - Regeln sind nicht notwendigerweise konsistent untereinander


## Aufgabenanalyse vs. Aufgabensynthese
### Aufgabenanalyse:
- Zerlegung von Aufgaben: Komplexe Aufgaben werden in kleinere, handhabbare Teile zerlegt.
- Ermittlung von Teilaufgaben: Identifikation der einzelnen Schritte, die zur Erreichung eines Ziels erforderlich sind.
- Detaillierung: Präzise Beschreibung und Dokumentation der einzelnen Teilaufgaben.
- Strukturierung: Systematische Anordnung der Teilaufgaben nach bestimmten Kriterien (z.B. nach Prozessschritten, Abteilungen, Ressourcenbedarf).

### Aufgabensynthese:
- Zusammenführung der Teilaufgaben: Die zerlegten Teilaufgaben werden wieder zu einer Gesamtaufgabe zusammengefügt.
- Zuweisung von Verantwortlichkeiten: Bestimmung, wer für die Durchführung der zusammengeführten Aufgaben verantwortlich ist.
- Koordination: Sicherstellung, dass die zusammengeführten Aufgaben effizient und effektiv zusammenwirken.
- Ressourcenzuordnung: Verteilung der notwendigen Ressourcen (Zeit, Personal, Budget) auf die Aufgabenpakete.
- Optimierung der Abläufe: Anpassung und Verbesserung der Prozesse zur Steigerung der Effizienz und Effektivität.


## Produktion
![image_189.png](image_189.png)

### Produktionstheorie
> Ziel der Produktionstheorie ist die funktionalen Zusammenhänge zwischen der Menge
> der eingesetzten Produktionsfaktoren und der damit hergestellten Produkte aufzuzeigen

![image_190.png](image_190.png)

### langfristige Produktionsprogrammplanung
| **Produktionsportfolio** | **Produktionsverfahren**                | **Fertigungstiefe**           | **Kapazitätsrahmen**            |
|--------------------------|-----------------------------------------|-------------------------------|---------------------------------|
| Rahmenplanung            | Grundsatzentscheidung zum Fertigungstyp | Grundsatzentscheidung         | Rahmenplanung                   |
| _Produktarten, -mengen_  | _Manufakturbetrieb, Massenfertigung_    | _Eigenerstellung, Zulieferer_ | _Betriebsmittel, Stammpersonal_ |

### Fertigungstypen
#### Einzelfertigung
- _Beispiel_
  - Spezialmaschinenbau
  - Anlagenbau
  - Handwerk

#### Mehrfachfertigung
##### Massenfertigung
- _Beispiel_
  - Baumaterial
  - Kohleförderung
  - Chip-Produktion
  - Zigaretten

##### Sortenfertigung
- _Beispiele_
  - Ziegeleien
  - Sägewerke
  - Blechwalzwerke
  - Textilproduktion

##### Serienfertigung
- _Beispiele_
  - Automobilindustrie
  - Möbelindustrie
  - Computerfertigung

##### Chargenfertigung
- _Beispiele_
  - Chemie
  - Pharmaindustrie
  - Weinbau

#### Kuppelproduktion
- _Beispiele_
  - Petrochemie
  - Metallverhüttung
  - Schlachthöfe
  - Schafzucht


### Produktionsablaufplanung - Arbeitsvorbereitung
- Als Input dienen Materialstücklisten, Konstruktionszeichnungen, Beschreibungen, Erfahrungswissen der Mitarbeiter, etc...

#### Planungen
##### Strukturplanung
- Abhängigkeiten ermitteln
- Reihenfolge der Bearbeitungsschritte festlegen

##### Zeitplanung
- Festlegung aller Dauern inkl. Vor-/Nachbereitung

##### Kapazitätsplanung
- Optimierung der Auslastung
- Vermeidung von Engpässen

#### Resultat: Arbeitsplan

### Smart Factories
> Smarte Objekte steuern und überwachen den Produktionsprozess kollaborativ
> 
> Nutzung [IoT](5_TheImpactOfTechnologyOnTheStarbucksExperience.md#internet-of-things-iot)


## Materialwirtschaft
### Überblick
- Befassung mit der wirtschaftlichen Beschaffung und Lagerung von Material, welches bei der Leistungserstellung benötigt wird
- Logistik ist eng verknüpft
  - Verbindung zu Produktion und Absatz
  - In manchen Darstellungen auch Teil der Logistik

### Ziele der Materialwirtschaft
#### Qualitätsziele
- Anforderungen an die Eigenschaften der Güter

#### Kostenziele
- Sicherstellung einer kostengünstigen Produktion

#### Sicherheitsziele
- Gewährleistung der Versorgung von Produktion und Absatz

#### Liquiditätsziele
- Aufrechterhaltung der betrieblichen Liquidität


### ABC-Analyse zur Optimierung der Materialwirtschaft
- Einteilung der Materialien in Kategorien
  - A: hoher wertmäßiger (meist geringer mengenmäßiger) Verbrauch
  - B: mittlerer Verbrauch
  - C: geringer wertmäßiger (meist hoher mengenmäßiger) Verbrauch

#### Wie funktioniert die ABC-Analyse
1. Verbrauchswerte bestimmen (V = Menge x Preis)
2. prozentualen Anteil am Gesamtverbrauchswert ermitteln
3. Materialien absteigend nach prozentualem Anteil sortieren
4. Einteilung in Kategorien
   - A: Alle Materialien so lange die Summe ihrer Werte < 80% ist
   - B: nächste Materialien bis Summe 90% erreicht ist
   - C: Rest

#### Ergebnisse der ABC-Analyse
![image_191.png](image_191.png)

### Materialbeschaffung
1. Lieferantenwahl
2. Festlegung der Beschaffungsart
3. Beschaffungskonditionen
4. Bestelloptimierung
5. Festlegen der Bestellart

#### Arten
- Beschaffung im Bedarfsfall - _Auftragsfertigung_
- Vorratshaltung - _Handel, Serienfertigung, Verbrauchsmaterial_
- Just-in-time Belieferung - _Automobilindustrie_
- Kanban-Beschaffung - _Pull-Prinzip, Feste Menge durch vorgegebene Behälter, dezentrale Steuerung_


### Bestellmengenoptimierung
#### Rechnerisch
![image_192.png](image_192.png)

Optimale Bestellmenge:
![image_193.png](image_193.png)

#### weitere Einflüsse
- Kosten, die durch fehlendes Material auftreten
  - im schlimmsten Fall Produktionsstillstand

**→ Sicherheitsbestände**


### Bestellpunktverfahren
![image_194.png](image_194.png)

## Absatz und Marketing
### Absatzwirtschaft und Marketing sind wichtig
![image_195.png](image_195.png)

### Marketing
> Marketing heißt, das Produkt gezielt auf Kundennutzen hin zu entwickeln und zu vermarkten

![image_196.png](image_196.png)

### Informationsbeschaffung
- **Marktforschung** und **Marktsegmentierung** 
  - potenzielle Zielmärkte identifizieren (am besten auch quantifizieren)
  - Segmentierungen erfolgen unter anderem nach:
    - Geografie
    - Verbrauchertyp
    - Sozialmilieu
      - Beispiel: ![image_197.png](image_197.png)

### Instrumente der Absatzwirtschaft
#### Produktpolitik
- Gestaltung der Produktpalette
  - Produktgestaltung
  - Nutzendefinition
  - Markenpflege
  - Verpackung
  - Kundenservice
  - Produktlebenszyklus
    - ![image_198.png](image_198.png)
  - Produktprogrammgestaltung
    - in welche Produkte investieren
    - welche Produkte aufgeben
    - ist Produktmix zufriedenstellend?
    - wo mehr Marktforschung?
    - wann müssen neue Produkte marktreif sein?

#### Kontrahierungspolitik
- Festlegung von Preisen und Konditionen

#### Distributionspolitik
- Auswahl von Vertriebswegen
- Absatzlogistik

#### Kommunikationspolitik
- Werbung
- Verkaufsförderung
- Öffentlichkeitsarbeit