# Geschäftsprozessmanagement
## Lernziele
1. Grundbegriffe / -prinzipien des GP-Managements erklären
2. Begriff [Workflow](#workflow) erklären
3. Konzept der (IT-gestützten) [Prozessintegration](#prozessintegration) erklären

## Unternehmen im Wandel
> Unternehmen stehen im Wettbewerb mit anderen Unternehmen und müssen im Markt bestehen

### Aufgaben in Unternehmen strukturieren
- Welche Aufgaben sind wichtig zur Leistungserbringung?
  - | **Ablaufsicht** (Prozesse)                             | **Funktionssicht**                 |
    |--------------------------------------------------------|------------------------------------|
    | in welchem Zusammenhang stehen die Aufgaben zueinander | Welche Arten von Aufgaben bestehen |
  - Notwendigkeit zur Strukturierung
    - WIE?

### Funktionsorientierte vs prozessorientierte Perspektive
- Funktion:
  - Ziel: Kosteneffizienz
  - ![image_199.png](image_199.png)
  - **Process follows structure**
- Prozess:
  - Ziel: Kundenzufriedenheit & Produktivität
  - ![image_200.png](image_200.png)
  - **structure follows process**
  - Verstehen des Unternehmens als dynamische Einheit
    - Horizontale Ausrichtung
    - Prozess der Produkt-/Dienstleistungserstellung steht im Vordergrund
    - Integration aller Aktivitäten in klaren Prozessablauf
    - Nahtloser Prozess von In- bis Output
    - Klare Verantwortlichkeiten
    - Minimierung der Schnittstellen und des Wechsels der Verantwortlichen
    - Kunde- und Teamorientierung

## End-to-End Geschäftsprozess
- Kundenfokussiert
  - Anfang = Kundenbedarf
  - Ende = Leistung für Kunde
- ![image_201.png](image_201.png)

## Geschäftsprozess
### Primäre Geschäftsprozesse (Externe Kunden)
- Produkte entwickeln von Anforderung bis Endprodukt
- Services durchführen von Serviceauftrag bis erbrachter Service

### Sekundäre Geschäftsprozesse (Interne Kunden)
- Strategie Planungen und überwachen
- Personal, Finanzen, Ressourcen, IT, etc. bereitstellen

### Prozessvarianten
#### Technische Prozesse
- Werden durch Stücklisten, Arbeitspläne formal beschrieben
  - bspw. Fräsen eines Zylinderkopfes

#### BWL Geschäftsprozesse
- beziehen sich auf kaufmännische Tätigkeiten
- Mit Ablaufdiagramm / GP-Modellen dokumentiert
  - bspw. Bearbeitung von Anfragen, Einstellung von Mitarbeitern


## Workflow
### Definition
- Digital ausgeführte und von einem Softwaresystem anhand von Regeln gesteuerte GP
- Technische Verfeinerung des [BWL-GP](#bwl-gesch-ftsprozesse)
  - Verfeinerung = Grad der Automatisierung
- Muss als Input und Regelwerk für die Steuerung durch ein auf Prozesssteuerung spezialisiertes Softwaresystem verwendbar sein

### Unterschied Workflow zu GP
- GP
  - Beschreiben aus bwl Sicht, **WAS** zu tun ist und **WER** welche Tätigkeit ausführt
- Workflow
  - Beschreibt aus technischer Sicht **WIE** eine Tätigkeit ausgeführt wird

## Prozessintegration
- ohne aktives Prozessmanagement
  - ![image_202.png](image_202.png)
- mit aktivem Prozessmanagement
  - ![image_203.png](image_203.png)
- 