# Impact of Technology (Starbucks)
[~Bahadir K Akcam](https://lernen.h-da.de/pluginfile.php/1079706/mod_resource/content/4/01%20-%20The%20Impact%20of%20Technology%20on%20the%20Starbucks%20Experience.pdf)

## Introduction
- Amerikanischer Tourist auf der Suche nach Starbucks in der Stadt Amsterdam
- Niederländer konsumieren etwa doppelt so viel wie der durchschnittliche Amerikaner
  - ca. 10 kg/Jahr
  - Niederländisch = größter Kaffeelieferant im 18. Jahrhundert
  - → wahrscheinlich besserer Kaffee als im Starbucks
  - **Warum dann trotzdem???**

### About Starbucks
- Gegründet 1971 in Seattle
- bietet High-Quality Kaffee an
- Weltweite Expansion seit 1990
  - Mission: "den menschlichen Geist zu inspirieren und zu fördern"
    - Eine Person, ein Becher, nur eine Nachbarschaft gleichzeitig
- 2002
  - Headquarter und Kaffeerösterei in Amsterdam
  - 1. Kaffeerösterei außerhalb Amerikas
- 2021
  - 33.000 Läden mit 400.000 Mitarbeitern
  - ca. 100 Mio. Kunden pro Woche
  - Niederlande hilft bei Expansion
    - 160 Läden in Amsterdam, davon sind 17 Starbucks
- Zieht Kunden an
  - Selbe high-quality Erfahrung überall
  - Technologie spielt essenzielle Rolle dabei ...


## New Technologies Changing the Coffeehouses
> Alles, was wir mit Technologie tun ist zentriert um die Kundenbindung im Laden.
> Die menschliche Verbindung.
> 
> Eine Person, ein Becher, eine Nachbarschaft auf einmal.
> 
> <br/>
> 
> ~Gerri Martin-Flickinger <br/>
> _Starbucks Executive Vice President, CTO_

- Mehrere Kerntechnologien gewährleisten die weltweite Kundenbindung
    - [Starbucks Mobile App mit Belohnungs- und Kartensystem](#starbucks-mobile-app)
        - Bieten ein personalisiertes Erlebnis für jeden Kunden
        - Maximieren den Umsatz
        - Steigern die Kundenzufriedenheit
    - [IoT-fähige Maschinen](#internet-of-things-iot)
        - Sorgen für standardisierte Abläufe in den Filialen
        - Produzieren qualitativ hochwertige Produkte
    - [Blockchain-Technologien](#blockchain-technologies)
        - Verbinden Stakeholder
        - Bieten Rückverfolgbarkeit der Kaffeequellen
        - Ermöglichen flexible Zahlungs- und Belohnungsprogramme
- **Diese Technologien generieren große Datenmengen**
    - [Reinforcement Learning Technology](#reinforcement-learning-technology)
        - Analysiert die von anderen Systemen generierten Daten
        - Wandelt sie in umsetzbare Informationen um

## Starbucks Mobile App
**mit Starbucks Belohnungen- und Karten-System**

### Mobile Apps
- Auf mobilen Geräten wie Handys installiert
- bequemer Zugang zu Unternehmensinformationen (Produktkataloge, Menüs, Standorte, Aktionen)
- Ermöglicht Transaktionen wie Bestellungen

#### Einführung der mobilen App im Jahr 2009
- Eine der frühen Anwendungen in der Branche
- Mobile Bestellungen machen 2021 fast ein Viertel der US-Transaktionen aus
- Erstellen eines Kundenprofils durch Angabe von Name und E-Mail-Adresse

#### Funktionen der mobilen App
- Bestellungen aufgeben
- Zahlungen leisten
- Trinkgeld geben
- Starbucks Rewards verfolgen
- Geld auf Starbucks Card laden
- Aktionen und Rabatte erhalten
- Starbucks Geschenkkarte elektronisch senden
- Starbucks Standorte suchen

#### Starbucks Rewards
- Kundenbindungsprogramm
- Belohnt Kunden mit Punkten (Stars) bei Ausgaben oder Aufladungen
- 26,4 Millionen aktive Mitglieder in 2022
  - Mitglieder generieren 53% der Ausgaben in US-Filialen
- Hilft dem Unternehmen, das Verbraucherverhalten besser zu verstehen, den Umsatz durch Marketing zu steigern und Bargeld im System zu halten

#### Starbucks Card System
- Kunden können Geld auf ihre Karten laden und E-Geschenke erstellen
- 44% der Verkäufe 2021 über Starbucks Karten
- Verbraucher luden von Oktober bis Dezember 2021 3 Milliarden Dollar auf Geschenkkarten
- Starbucks hält Ende 2021 2,4 Milliarden Dollar in bar auf Geschenkkarten

### Vergleich typischer Bestellprozess vs. mobiler Bestellprozess
| **Typischer Bestellprozess**                                     | **Mobiler Bestellprozess**                                                                   |
|------------------------------------------------------------------|----------------------------------------------------------------------------------------------|
| Kunde wählt Produkte im Laden aus                                | Kunde wählt Produkte im Laden/Online aus                                                     |
| Bestellung und Zahlung an der Theke                              | Bestellung im Voraus über die mobile App, Zahlung mit Starbucks Card, Kreditkarte oder Stars |
| Kassierer hilft bei Entscheidungen, Up-Selling und Cross-Selling | App ersetzt Kassierer durch Up-Selling und Cross-Selling                                     |
| Barista bereitet die Bestellung zu und übergibt sie dem Kunden   | Barista bereitet die Bestellung zu und Kunde holt sie im Laden ab                            |

**Vorteile des mobilen Bestellprozesses**
- Elektronische Bestellsysteme sind erfolgreicher im Up-Selling und Cross-Selling
- Reduzierung der Mitarbeiterkosten und Betriebskosten
- Anreize für Kunden zur Nutzung der mobilen App und Starbucks Card
- Sammeln wertvoller Verbraucherdaten



## Internet of Things (IoT)
- Vernetzte Geräte und Sensoren
- Integration von Menschen, Prozessen und Technologie
- Fernüberwachung und Statuskontrolle

### IoT-fähige Maschinen bei Starbucks
- Verbesserte Effizienz und Effektivität
- Standardisierte Geschäftsaktivitäten
- Proaktive Problemvermeidung (z.B. Kühlschranktemperaturen)

### IoT-fähige Espressomaschinen
- Sammlung von über einem Dutzend Datenpunkten pro Espresso-Shot
- Generierung von 5 MB Daten pro Acht-Stunden-Schicht
- Wartung vor Maschinenausfällen
- Sicherstellung der Kaffeequalität

### Guardian Module
- Sichere Datenübertragung zur Datenbank
- Automatische Aktualisierung von Maschinen (z.B. neue Kaffeerezepte)
- Beseitigung manueller Rezeptupdates
- Erhebliche Kosteneinsparungen

### Wandel von reaktiver zu prädiktiver Wartung
- Proaktive Maschinenwartung
- Anwendung auf Bestandsverwaltung und Lieferkette
- Vorschlag: IoT-fähige Becher zur Datensammlung
    - Konsumgeschwindigkeit, -größe, Restmenge
    - Anpassung von Marketing und Betrieb
    - Nicht entwickelt wegen unzureichendem ROI




## Blockchain Technologies
- Verteiltes Datenbanksystem, öffentliche Transaktionsbuchführung

### Anwendungen
- Kryptowährungen (z.B. Bitcoin, Ethereum)
- Supply Chain Transparenz

### Kryptowährungen bei Starbucks
- **Zahlungssystem**: Akzeptiert Bitcoin über Intermediäre
- **Eigene Kryptowährung**: Tokenisierung von Starbucks Stars, Integration mit anderen Treueprogrammen

### Supply Chain Transparenz
- **Bedeutung**
  - Wachsende Nachfrage nach Transparenz in der Lebensmittelindustrie
- **Nachverfolgbarkeit**
  - "Bean to Cup" Traceability, 99% ethisch beschaffter Kaffee seit 2015
- **Blockchain Nutzung**
  - Sichere, transparente und dezentralisierte Struktur

### Praxisbeispiel
- **Farm-Level Information**
  - Echtzeit-Informationen von Kaffeefarmern in Costa Rica, Kolumbien, Rwanda
- **Verbraucherzugang**
  - Traceability-Website und mobile App, spezifische Informationen zu Kaffeebohnentüten
- **Kritikpunkte**
  - Mangel an detaillierten Informationen, z.B. Zahlungsinformationen an Bauern

### Fazit
- **Erfolge**
  - Transparenzbemühungen, Einfluss auf Transparenz, Rechenschaftspflicht und faire Lohnpraktiken
- **Herausforderungen**
  - Vollständige Rückverfolgbarkeit und Finanztransparenz





## Reinforcement Learning Technology
### Bedeutung von Daten
- Daten als wertvolles Gut wie Geld
- Erkenntnisse über Kundenverhalten
- Verbesserung von Produkten und Kundengewinnen
- Angepasste Programme und Bestellvorschläge
- Strategische Datennutzung führt zu mehr Verkäufen

### Funktionsweise der RLT-Technologie
- **Maschinelles Lernen**
  - Lernt aus externem Feedback
- **Entscheidungsfindung**
  - In komplexen und unvorhersehbaren Umgebungen
- **Personalisierte Erfahrungen**
  - Über die Starbucks Mobile App
- **Faktoren**
  - Lagerbestand, beliebte Produkte, Wetter, Tageszeit, Kommunikationspräferenzen, frühere Bestellungen

### Anwendungsbereiche
- **Kundendaten**
  - Millionen von aktiven Starbucks Rewards Mitgliedern
- **Verhaltensanalyse**
  - Erstellung von Kundenprofilen (z.B. Latte-Liebhaber)
- **Angebote**
  - Anpassung basierend auf Kundenprofilen und beliebten Produkten

### Kundenerlebnis
- **Persönliche Verbindung**
  - Barista-Rolle in den 1980er Jahren entdeckt
- **Virtuelle Repräsentation**
  - Pflege der Kundenbeziehung durch digitale Plattformen

> Kunden erhalten die gleiche Fürsorge 
> und personalisierte Empfehlungen von unseren digitalen Plattformen
> 
> ~_Jon Francis_

### Drive-Thru-Bestellungen
- **Unterschied zu Mobile App Bestellungen**
  - Fehlen von individuellen Kundeninformationen
- **Anpassung an Store-basierte Details**
  - Über 400 store-level Kriterien

### Vorteile
- **Strategische Datennutzung**
  - Verständnis von Produkten, Prozessen, Mitarbeitern und Kunden
- **Fundierte Entscheidungen**
  - Unterstützung von Managern in einer wettbewerbsintensiven Branche