# Business Model Canvas
- Model, welches Geschäftsmodell eines Unternehmens darstellt
  - Komplexität nicht zu stark vereinfacht
  - leicht anzuwenden, treffend unf intuitiv aufgebaut 
- Logik einer Geschäftsidee auf einer Seite darstellen
- Vorteil: 
  - Anwendbarkeit im Team
  - Visualisierungsmöglichkeiten

## Bausteine
| Hauptbereich             | Beschreibung                                                                                                                    | Bausteine                                                         |
|--------------------------|---------------------------------------------------------------------------------------------------------------------------------|-------------------------------------------------------------------|
| Produkt                  | Branche/Geschäftsumfeld                                                                                                         | Wertangebote                                                      |
| Kundenschnittstelle      | Identifikation des Zielkunden, Lieferkanäle<br/>Herstellen einer starken Kundenbeziehung                                        | Kundenbeziehungen<br/>Kundensegmente<br/>Kanäle                   |
| Infrastruktur-Management | Bildung von Unternehmensnetzwerken zur Lösung von infrastrukturellen, logistischen Problemen<br/>Wie werden Netzwerke gebildet? | Schlüsselpartner<br/>Schlüsselressourcen<br/>Schlüsselaktivitäten |
| Finanzielle Aspekte      | Erstellung des Einnahme-Modells, Kostenstruktur<br/>unter Einbeziehung der Nachhaltigkeit des GM                                | Kostenstruktur<br/>Einnahmequellen                                |


### Beschreibung der Bausteine
| Baustein            | Bild                             | Beschreibung                                    | Beispiel                                                     |
|---------------------|----------------------------------|-------------------------------------------------|--------------------------------------------------------------|
| Key Partner         | ![image_341.png](image_341.png)  | Netzwerk von Partnern und Lieferanten           | Strategische Allianzen, Joint Ventures                       |
| Key Activities      | ![image_342.png](image_342.png)  | Wichtigste Handlungen                           | Pflegen der Kundenbeziehungen, Unterbreiten des Wertangebots |
| Schlüsselressourcen | ![image_343.png](image_343.png)  | wichtigste Ressourcen                           | physische, finanzielle, intellektuelle                       |
| Wertangebot         | ![image_344.png](image_344.png)  | Paket von Nutzen                                | Neuheiten, Leistungsoptimierung, Design                      |
| Kundenbeziehungen   | ![image_345.png](image_345.png)  | Beziehung mit Kunden                            | Persönliche Unterstützung, Selbstbedienung                   |
| Kanäle              | ![image_346.png](image_346.png)  | Kundenberührungspunkte                          | Alle Kommunikationskanäle                                    |
| Kundensegmente      | ![image_347.png](image_347.png)  |                                                 | Massen- vs. Nischenmarkt<br/>Segmentierung nach Bedürfnissen |
| Cost Structure      | ![image_348.png](image_348.png)  | Kosten, die durch Leistungserbringung entstehen | Fixkosten, variable Kosten                                   |
| Einnahmequellen     | ![image_349.png](image_349.png)  | Erlösströme durch Leistungserbringung           | Verkauf, Mitgliedsbeiträge, Lizenzen                         |

## Arbeit mit Business Model Canvas
- Visual Thinking
  - Skizzen, Bilder, Diagramme, Post-Its
- Zur Erarbeitung
  - Prototyping, Storytelling, Scenarios, Ideation
- Benötigt keine Vorbereitung
  - Nur ein leeres Canvas

### Phasen der Erstellung
- **Mobilisierung des Projektteams**
  - Motivierung
  - Sicherstellung gemeinsames Verständnis
- **Verständnis des Wettbewerbsumfelds**
  - Branche
  - aktuelle Marktsituation
  - Kundenbedürfnisse
    - aktuell, zukünftig
- **Design des Models**
  - Analyse der Unternehmensposition in Bezug auf die [Bausteine](#bausteine)
  - Szenario-Analyse
    - zukünftige Entwicklung in den genannten Bereichen abschätzen
  - Designphase
    - Ergebnisse innerhalb eines einheitlichen Rahmens zusammenführen
- **Umsetzung des GM**
  - Implementierung des GM
  - Kann GM in bestehende Unternehmensstruktur integriert werden?
    - neue Abteilung?
  - GM an Unternehmensprozesse angleichen
- **kontinuierliches Management**
  - GM immer weiter anpassen, um wettbewerbsfähig zu bleiben

## Bedeutung des Wertangebots im GM
- Zentrum der Betrachtung
  - alle anderen Elemente lediglich Zweck des wechselseitigen Austauschs
    - Sach-, Vermögenswerte von Unternehmen zu Kunden
    - _systematischer Herleitung des Wertangebots_

> Wertangebot eines Unternehmens bezeichnet den Nutzen, den Kunden 
> oder Wertschöpfungspartner durch ein Geschäftsmodell erhalten

- Zusammenarbeit Value Creation(Wertschöpfung) und Value Appropriation(Wertaneignung)
  - → _Value Network_
  - Wertschöpfung stark von Zielgruppe abhängig
    - Zentraler Treiber eines Wettbewerbsvorteils
  - Wertaneignung
    - Einflussfaktor auf Höhe, Dauer des generierten Vorteils

### Wertaneignende Strategie
- Abgrenzung zur Konkurrenz
  - Marktspezifische Werbung, Preisgestaltung
- Sollte zusätzlich wertschöpfende Maßnahmen umsetzen

### Value Proposition Canvas (VPC)
- ![image_350.png](image_350.png)
- hilft bei
  - Erstellung des eigenen Wertangebots
  - detaillierte Betrachtung der Kundensegmente
- Konsequente Ausrichtung des eigenen Wertangebots auf relevante Kundensegmente
  - langfristiger Erfolg auf dem Markt